Welcome

Introduction
 Top Next
Thank you for trying RJ TextEd.

RJ TextEd is a text and source code editor. It is also a simple web development tool. The editor uses syntax definition files to recognize keywords, tags, strings and other items for syntax highlighting in the source. The editor is also able to handle and detect Unicode.

The editor can use auto completion and hints to assist you in editing your source code. You can preview Html/ASP/PHP... code using one of the preview tabs or open a document in a browser. The editor does not only handle source code. It also handles true ASCII files, binary files and of course plain text files.

The editor uses language files to display menus and dialogs in different languages. There are several included languages. New language files can easily be created in the editor.

The "File Commander" is a file manager tool and an FTP client. Use it to manage your home site and upload new code and files.

A syntax file editor is included to help you edit or create new syntax definition files. These files hold information about keywords, tags or other words to highlight. They also hold information about auto completion lists, hints and what is shown in the user menu.

RJ TextEd is released as freeware!


Main Window
 Previous Top Next
The main window

The sidebar
The sidebar has 7 pages.
· The first two are explorer views. This makes it very easy to browse your folders and open files.
· The third page is the text clips tab. Add code snippets and other text phrases.
· The fourth page is the ftp view. From here you can easily edit a file on an FTP server.
· The fifth page is the project view. Manage you project files, compile and run.
· The sixth page is the IE favorites view. You can use the "Home" tab as a browser and use the favorites to navigate to your favorite sites.
· The seventh page is the code explorer. The code explorer list code elements like classes and functions. You can use this page for easier navigation of your code.

The main view
There are 5 pages in the main view.

· Home page. From the home page you can create a new document, open a project or open files. Recently opened files and project are also listed.
· Editor page. All documents are opened on this page.
· IE preview page. Preview the current document, in the editor, using Internet Explorer.
· Firefox preview page. Preview the current document, in the editor, using Firefox. (You need to install the mozilla component found on the home site)
· File Commander. Contains a file manager and an FTP client. You can use it to manage your web site, or synchronize your remote and local folders.

The main tool bar
Below you can see the default buttons of the main toolbar. Some buttons are not visible. The customize dialog is located in the "Environment" menu and can be used to set which buttons should be displayed.

Most buttons below don't need an explanation, but there might be a few that does.

New
Click on the button to open a new document. Click on the arrow to display a menu with different file types and templates, as seen below.

Special Characters
Opens the bottom bar and displays symbols and some special characters. The symbols are inserted into the document as Unicode characters. Or in a html document as html number codes e.g. &#169; .

Browsers
Click the button to open the current document into the internal IE browser. Use the drop down list to select another browser. External browsers can be set in the options dialog.

Play macro
Play the current macro. Click on the arrow to get a list of available macros.

Start quick recording a macro
Start recording a macro. No dialog is opened. The recording starts immediately. A predefined macro name _QuickMacro is used. This macro is saved, but will be overwritten the next time you make a quick recording.

Start recording a macro
Click this button to start recording a macro. When the macro dialog is open, enter a macro name (and a shortcut). Then click on the "Record" button. Now, all actions in the editor is recorded. Use the stop button to stop recording.

Stop a macro recording
This button stops the current macro recording. The recorded macro is now the active macro.

Syntax menu
Here you can temporarily change the highlighter used to highlight the current document.

Spell check
Select a dictionary and click on the button to spell check your document.


File Menu
 Previous Top Next

New (Ctrl+N)
Create a new empty document. The default file extension is .txt and can be changes in options. You can also set the default file encoding. The file extension and encoding can, of course, be set when you save the file using a file dialog.
Open
Open a file using a file dialog. There are 3 types of dialogs you can use. The standard, Office 2000 and a built in version. You can select file encoding in all the dialogs. Some options to detect Unicode without a signature (BOM) and ANSI code page is not available in all dialogs.

Open Template
Use this to open a template file. All template files are saved in folders. Sub folders can be used. You can save as many files as you like as template files, and create your own library of templates.

Open file in Hex Editor...
Select a file to open in the hex editor. Use this to edit the file directly, without open it in the text editor. The file is always opened in byte mode.
This should not be confused with hex view which only displays the contents of the text document. And always as Unicode (word mode).

Recent files
Open a recently opened file. The number of files displayed can be changed in the options dialog.

Save (Ctrl+S)
Save the current file. A dialog will be shown if it's a new file (not previously saved).

Save As
Save the current file using a different name or location. Using the save dialog, you can also change the file extension or the file encoding.

Save All (Shift+Ctrl+S)
Save all open files. If one or more documents haven't been previously saved, a save dialog is shown.

Save As Template
Save the document to the template folder. The templates are saved in folders and sub folders can be used. You can open the document again by selecting the "Open Template" menu item.

Close/Close All
Close open document(s).

Delete from Disk
Delete the current document from disk. The current document will still be open.

FTP
Connect to an FTP site or save a file remotely (upload). You can also open a dialog to change your FTP settings.

Export

As RTF (Rich Text Format)
As xHtml with syntax highlighting.
As xHtml in black and white.
As encrypted. The algorithm used is Twofish with a 256 bit key size.

Note that you can save a html file as html. This can be very useful if you want to publish some html code in your web page.

Send to
Send the current document to your email program. You can send the document as an attachment or as an email text.

Print Preview
Preview your printout.

Print
In the print dialog there are some options you can set before printing.

Device: Select the printer you want to use.
Print:

All: Print the whole file.
Pages: Print one or several pages.
Selection: Print the selected text.
Options:

Syntax Print: Print the text in color with syntax highlighting. if not selected the text is printed as black and white.

Wrap text: If selected - a text line that is to long to fit the page will continue on the next row.

Exit
The status of all the files are checked. If any document is modified a dialog pops up. You can either select to save all modified documents, ignore or cancel the close-down.


Edit Menu
 Previous Top Next

Undo (Ctrl+Z)
Undo the changes in the current document. The number of available undo's can be set in options. It can also be set to unlimited.

Redo (Shift+Ctrl+Z)
Redo the changes in the current document. The number of available undo's can be set in options. It can also be set to unlimited.

Cut (Ctrl+X)
Cut (copy and delete) the selected text to the clipboard.

Copy (Ctrl+C)
Copy the selected text to the clipboard.

Copy As

RTF (Rich Text Format)
Convert the selected text to RTF format and add it to the clipboard. E.g. Copy some source code and paste it in MS Word to insert highlighted text.

xHtml with color highlighting
Convert the selected text to html code a place it on the clipboard.

xHtml in black and white
Convert the selected text to html code (without syntax highlighting) and place it on the clipboard.

Paste (Ctrl+V)
Paste text from the clipboard.

Smart paste (Shift+Ctrl+V)
The paste function will try to preserve the indention of the copied text even if it is placed in a very different position. In column mode you can paste a line of text to all selected columns.

Paste RTF as HTML
Get the RTF clip in the clipboard and paste it as HTML code. The RTF2HTML convertion is very simple and may not be perfect. Very few elements are supported and you may have to edit the pasted text manually.

Delete

Delete (Del/Delete key)
Delete the selected text.

Delete word
Delete text from the text cursor position to the next word.

Delete previous word
Delete text from the text cursor position to the previous word.

Delete to begin of line
Delete text from the text cursor position to the beginning of the line.

Delete to end of line
Delete text from the text cursor position to the end of the line.

Delete blank lines
Delete all blank lines in a selection.

Duplicate line (Ctrl+L)
Make a copy of the current line and insert it as the next line (duplicate).

Remove line (Shift+Ctrl+L)
Erase the current line.

More line operations

Split lines
Split the current line, or selected lines, at the word wrap margin.

Join lines
Join all selected lines into one line. If no selection is made, the current and the next line is joined.

Move lines up (Shift+F11)
Move the current line up. You can also move a selection upwards. (This feature is sometimes called "Swap lines up".)

Move lines down (Shift+F12)
Move the current line down. You can also move a selection downwards. (This feature is sometimes called "Swap lines down".)

Duplicate line N times
Duplicate the current line multiple times. Enter the number of duplications you want in a dialog.

Select

Select All (Ctrl+A)
Select all text in the document.

Select Brace Enclosed
Use this function to select all text between the highlighted braces.
HOW TO USE: Move the text cursor to a bracket. The bracket should now be highlighted. You can now select all text between the highlighted braces using this function.

Select Line
Select all text on the current line.

Select Word
Select the current word under the text cursor.

Select Tag
Select the tag under the text cursor. NOTE: to select the start tag, end tag and all the text between, use the "Select Brace Enclosed" instead.

Select to end of line
Select text from the text cursor position to the end of line.

Select to begin of line
Select text from the text cursor position to the beginning of the line.

Select all below current line
Select all text below the current line.

Select all above current line
Select all text above the current line.

Insert Date/Time (F5)
Insert the current date and time into the document at the cursor position.

Insert File... (Shift+Alt+F)
Select a file and insert the file text at the current text cursor position.

Read-only
Toggle the document read-only state. The file attribute is not changed.

Synchronized editing mode
Edit several instances of the same word at ones. Select a block and enter "sync mode". All instances of the current word, at the text cursor, will be edited simultaneously.

Column

Insert/Fill columns
Insert a text on every line in the selected column.

Clear
Replace the selected text with spaces.

Column Mode
Check this if you want to switch on/off column mode. In column mode you can edit several rows at ones. E.g. drag the mouse down. A line should now be visible. You can now edit that column in the usual manner.


Search Menu
 Previous Top Next

Search/Replace (Ctrl+F)
Find or replace one or several text strings in a document. The search options can open up in the bottom-bar or in a dialog, depending on your options.

Find Next (F3)
Find the next search string in the document. You can also just select some text, hit F3 and this text will be used for searching.

Find Previous (Shift+F3)
As above but you now search for the previous occurrence of the search string.

Extended Search
Find and replace with some advanced features like regular expressions or search through all files in a folder.

Highlight

Highlight Word(s)
Highlight selected word(s), or the word under the text cursor, and all other instances of the same words in the document. You can highlight as many words as you want.

Highlight Selection (single line)
Highlight selected text and all other instances of the same text in the document. You can highlight as many selections as you want. The selection can be anything and does not have to be whole words, but the selection must include only one line.
The highlighting is not case sensitive. E.g. if "dummy" is selected and highlighted, "Dummy" will be highlighted as well.

Unhighlight Word(s)
Remove the word highlighting. If the text cursor is at a highlighted word, only this word highlighting is canceled. Otherwise all word highlighting is canceled.

Unhighlight Selection
Remove the selection highlighting. If the text cursor is at a highlighted text, only this text highlighting is canceled. Otherwise all selection highlighting is canceled.

Unhighlight Search
You can highlight found items using "Find All" in the search dialog, or "Find" in the extended search dialog. This menu item can be used to cancel the highlighting.

Unhighlight All
Clear all highlighting.

Incremental Search (Ctrl+E)
Activate and start typing a word. The found text is highlighted, in the document, as you type. You can also use backspace.

Next occurrence of the current word (Shift+Ctrl+Down)
Find the next occurrence of the word at the text cursor. This is similar to the find next function but no search options are used.

Previous occurrence of the current word (Shift+Ctrl+Up)
As above but you now search for the previous occurrence of the current word.

Next Node (Alt+Down)
Jump to the next code folding node found.

Previous Node (Alt+Up)
Jump to the previous code folding node found.

Next Changed Line (Shift+Alt+Down)
Jump to the next changed line in the text.

Previous Changed Line (Shift+Alt+Up)
Jump to the previous changed line in the text.

Goto line (Ctrl+G)
Enter a line number and the editor takes you to that line.

{+} Matching bracket (Ctrl+. on an English keyboard)
Go to the matching bracket.

Create bookmark (Shift+Ctrl+0...9)
Create a bookmark at the current position.

Goto bookmark (Ctrl+0...9)
Go to a bookmark in the document.

Set bookmark (Shift+Ctrl+` on an English keyboard)
Set a bookmark without a number. You can set as many bookmarks as you want. Use the functions below to navigate between them.

Next bookmark (Alt+Right)
Go to the next bookmark in the document.

Previous bookmark (Alt+Left)
Go to the previous bookmark in the document.


View Menu
 Previous Top Next

Bars

Sidebar

View/Hide
Display or hide the left sidebar.

Tabs
Display or hide the listed tabs in the sidebar.

Align Left
Select to have the sidebar at the left side. Otherwise the sidebar is align to the right side.

Quick-bar

View/Hide
Display or hide the quick-bar.

Tabs
Display or hide the listed tabs in the quick-bar.

Bottom-bar

View/Hide
Display or hide the bottom-bar.

Show tabs
Display or hide the bottom-bar tabs.

Editor toolbar

View/Hide
Display or hide the editor toolbar.

Top
Display the editor toolbar at the top of the document page.

Left
Display the editor toolbar at the left of the document page.

Right
Display the editor toolbar at the right of the document page.

Bottom
Display the editor toolbar at the bottom of the document page.

Main window tabs

Show/Hide the main window tabs.

Set Font...
Select a new font to be used. The font is saved and will be used the next time you open the editor.

Increase Font Size
Increase the font size used. You can also use Ctrl+Mouse wheel up.

Decrease Font Size
Decrease the font size used. You can also use Ctrl+Mouse wheel down.

Show Indent Lines
Turn the display of indent lines in the document on/off.

Hexadecimal view
Show/Hide the document text as hexadecimals.

Show ruler
Show/Hide the document ruler.

Default Browser
This is the browser component used with toggle browser view below. The default is Internet Explorer.

Toggle Browser View (Shift+F9)
Switch between edit view and browser view.

Full Screen Mode (Ctrl+Alt+Enter)
Switch between full screen view and normal view. The quickbar and editor toolbar is still visible in full screen mode (there part of the editor page). In full screen mode a windows is displayed with a button to easily exit full screen mode.

Line numbers
Display or hide line numbers in files.

Text Files
Show/Hide line numbers in plain text files.

ASCII Files
Show/Hide line numbers in ASCII files.

Source Files
Show/Hide line numbers in source code files.

Highlight
Highlight the items below.

Current line
Highlight the current line with a background color and dotted lines at top and bottom. You can change the highlighting in the options dialog.

Braces
Highlight braces at the text cursor. Both the start and end bracket will be highlighted.

Special characters
Display or hide special characters in documents:

Spaces and Tabs
Display space and tab characters using a middle dot symbol for spaces and right-pointed double angle quotation mark for tabs.

Line breaks
Display line breaks using a pilcrow sign.


Format Menu
 Previous Top Next

Encoding
Set the file encoding, e.g. ANSI or UTF-8.

File format
Windows, Unix and Mac use different characters to indicate a new line. You can use these menu items to convert a document between different formats.

Convert to character set
Convert the document between different character sets. E.g. Open a Russian ANSI file on an English Windows. The Russian text is completely unreadable. Select the menu item "Cyrillic" and the document is converted using this character set. The Russian text should now be readable.

Convert file encodings...
Use this tool to convert the encodings of files on disk. Convert between ANSI character sets, ANSI to Unicode or between different Unicode encodings. You can select as many files as you want and preview the files to be converted. There are also options available to backup the files and to undo the entire operation. More...

Block formatting

Reformat Paragraph
Left align the the text and fill the lines to the right margin.

Reformat Block
Reformat the selected text block.

Reformat Block (with indent)
Reformat the selected text block and preserve the indention.

Left Align
Align the selected text to the left. If nothing is selected - all text is aligned.

Right Align
Align the selected text to the right. If nothing is selected - all text is aligned.

Center Align
Align the selected text to the center. If nothing is selected - all text is aligned.

Indent
If nothing is selected the current line will be moved to the nearest tab point to the right. If there is a selection then the whole selection (block) will be moved to the nearest tab point.

UnIndent Block
If nothing is selected the current line will be moved to the nearest tab point to the left. If there is a selection then the whole selection (block) will be moved to the nearest tab point.

Add/Remove Comment (Ctrl+')
Select a text to convert to a comment. Or convert the selected comment to regular text.

Change Case

Capitalize
Change the first letter of each selected word to upper case.

Uppercase
Change all selected letters to upper case.

Lowercase
Change all selected letters to lower case.

Invert Case
Invert the case of all selected letters.

Tabs and spaces

Convert tabs to spaces
Convert all tab characters to space characters in the document.

Convert spaces to tabs
Convert all white space characters (space and tabs) to tabs.

Convert leading spaces to tabs
Convert leading white space characters (space and tabs) to tabs.

Remove trailing white spaces
Remove all spaces and tabs from the end of each line.

Code beautifiers

Use "Tidy" with three different settings to format your code. Works with html, xhtml and xml.

Sort

Advanced Sort...
Open a sort option dialog for more advanced text sorting. More...

Ascending sort
Sort the selected lines in ascending order.

Descending sort
Sort the selected lines in descending order.

Ascending numeric sort
Sort the selected lines in an numeric ascending order.

Descending numeric sort
Sort the selected lines in an numeric descending order.

Insert line breaks...

Specify where you want the line breaks to be placed. They can be placed at a specified right margin, or at the right window edge.
In word wrap mode the text will be formatted as displayed in the window. The text will get this exact appearance.

Remove line breaks...
Removes all line breaks from the document.

Word Wrap
When selected - the lines exceeding the editors right margin are broken. These lines are marked in the left margin to help you identify a wrapped line.
You can also click on the ruler to change the wrap edge to that position.


Project Menu
 Previous Top Next

New
Create a new project using a simple wizard.

Page 1: Enter a name for the project.

Page 2: Select some files to add to your project. You can skip this step. You can always add files later.

Page 3: Select a source code type for the parser. If you enable this option, you will be able to use auto completion of class members, available in your source code.

A save dialog is shown when you press the "Finished" button. Chose a path and save the project.

Open
Open a project using a file dialog.

Open all project files
Open all available project files.

Recent Projects
Open a recently opened project file.

Add active file
Add the current document to the project.

Add files...
Add files using the standard open file(s) dialog.

Add all open files
Add all open documents to the project.

Add folder...
Select a folder to add to the project. All sub folders will be added as well.

Compile project
Compile the project. Use the drop down menu below to select profile.

Build project
Build the project. Use the drop down menu below to select profile.

Run project
Build and run in one step. In the drop down menu you can select to run without build.

Other commands
You can use these commands as you would compile/build/run. But you are able to use other options. Or you can use other tools.

Configuration
Set the tool used to compile/build/run and how to view the result. You must also set the files to be compiled.

Profiles
Can be set to debug, release or user. Use the same compile/build commands but with different compile/build options.


Html Menu
 Previous Top Next

Html shortcuts, dialogs and editors to aid in creating a html document. Most shortcuts will insert selected text between the start and stop tag. Selecting e.g. Bold will insert the tags <b></b> and with a selected text <b> selected text </b>. The best way to learn how to use these menu items is to try them out. Most of them basically does the same thing - inserts a start and stop tag. Some tags will have an attribute e.g. the menu item Font (size +1) will insert <font size="+1"></font>.

Strip tags
Remove tags from the selected html text.

Add line breaks
Add a <br /> tag at the end of each selected line.

Unordered list
If you select one or several lines, list tags will be inserted.

E.g.

We select the lines below,

Line 1
Line 2
Line 3

Execute the menu command and we get

<ul>
<li>Line 1</li>
<li>Line 2</li>
<li>Line 3</li>
</ul>

Ordered list
If you select one or several lines, list tags will be inserted.

E.g.

We select the lines below,

Line 1
Line 2
Line 3

Execute the menu command and we get

<ol>
<li>Line 1</li>
<li>Line 2</li>
<li>Line 3</li>
</ol>

Conversion

Html to Text
Convert the html code to plain text.

Text to Html (syntax)
Convert a source code file, or plain text file, to (x)Html code. The syntax highlighting is preserved.

Text to Html (B/W)
Convert a source or text file to (x)Html. No html file will not contain any syntax highlighting.

CSS Editor...
Open a style sheet editor (TopStyle Lite) if installed.

Lorem Ipsum...
Open the Lorem Ipsum generator. Use this to fill your web document with some text to check your layout. The lorem ipsum generator will generate some nonsense text and paste it at the current text cursor position.


Environment Menu
 Previous Top Next

Save layout
Save the status and size of the window and the status of the sidebar position. This is usually done when you close the editor, but you can change this in the options dialog.

Customize toolbars...

Select the toolbar to customize in the combo list, at the top.
Check the items you want to be visible in the toolbar.

Customize keyboard

Open a dialog to set or change keyboard shortcuts.

Add-ons

Themes

Select a theme in the list. The check mark indicate the active theme.

Activate
Press the activate button to activate the theme.

Remove
Remove the theme from the list and from disk. Please note that the files on disk will be erased as well.

Download from web
Download new themes from the site.

Dictionaries

The list contains available dictionaries on the computer.

Display suggestions in context menu (max)
Enter the maximal number of suggestion you want to appear in the context menu, when you right click over a misspelled word.

Check spelling as you type (underline)
Underline misspelled word in the document. You the context menu for suggestions and to insert a correctly spelled word.
Uncheck if you want to use a spell dialog instead.

Remove
Remove a dictionary from the list and disk. Note that the files are erased.

User defined words
Add or remove your own user defined words in a dictionary of your choice.

Save
Save the changes to your user defined word.

Download from web
Download new or updated dictionaries from the site.

Highlighters (Syntax files)

The list contains all available highlighters (syntax files) on disk. The check mark indicate if the highlighter is used (active) or not.

Activate
Activate the highlighter and let the editor know this highlighter is to be available.

Deactivate
Let the editor know it should not use this highlighter.

File extensions
Add or remove file extensions that should be associated with the selected highlighter.

Download from web
Download new or updated syntax files from the site.

Languages

The list contains all available languages. The check mark indicate the active language.

Activate
Activate and use the selected language.

Remove
Remove the selected language from list and disk. Note that the language file will be erased.

Download from web
Download new or updated languages from the site.

Proxy settings

The download from web may not work if you are using a proxy server. To enable proxy server support, enter your proxy server data in the fields and save.

Options

Use the ? mark button in the title to get more help about each option. You can also use right click, and select the menu item "What's this".


Tools Menu
 Previous Top Next

Syntax Editor
Open the syntax editor to create or edit syntax files. You can create and edit these in the text editor as well. But the syntax editor does make certain tasks easier.

Script Editor
Open the script editor to create or edit a script.

Open cmd prompt
Open a standard cmd prompt window.

Colors
Open a color dialog, select a color to be inserted in the text as a hexadecimal number.

RJ Charview
Display Unicode characters or characters in different code pages. Select a letter and copy to the clipboard.

Convert
This is a simple unit converter utility.

Expression Evaluate
Use this to evaluate an expression. You can use expressions with variables. A dialog will ask you to enter a numeric value for each variable in the expression.

Text Comparison
Use an external tool (e.g. Winmerge) to make visual comparisons on the current document.

Compare with a selected file on disk, using a file dialog.
Compare with the saved and current document.

For this to work you need to set a path to the external tool in options (Integrated tools).

Configure tools...
Open the "Tools" page in the options dialog. Add your own items in the tools menu, editor toolbar or the quickbar.


Macros Menu
 Previous Top Next

Start quick recording
Start recording a macro. No dialog is opened. The recording starts immediately. A predefined macro name _QuickMacro is used. This macro is saved, but will be overwritten the next time you make a quick recording.

Start recording
Start recording a macro. The macro manager dialog is opened. Add a name (and shortcut) and press on the record button to start the recording.

Stop recording
Stop the current recording.

Play
Play the current macro. You can select a macro to play in the list below.

Macro manager...
Open the macro manager to edit your macros.

List of recorded macros
A list of recorded macros, including the quick macro (_QuickMacro).


Window Menu
 Previous Top Next

Next window (Ctrl+Tab)
Switch to the next document tab.

Previous window (Shift+Ctrl+Tab)
Switch to the previous document tab.

Show list (F2)
Show a complete list of all open documents. Select the document you want to bring to the front.

Horizontal/Vertical split
Split the current document in two different views. You edit the same document but you are able to edit the document in two different places at the same time. Great if you need to move text to a different location in the document.

Dual document view (Ctrl+F12)
Open two (or more) documents side by side. You can open as many files as you want in each pane (right and left). And you are able to move them between panes.

Main window tabs

Home (Alt+F8)
Switch to the home tab.

Editor (Alt+F9)
Switch to the editor tab.

Preview IE (Alt+F10)
Switch to the Internet Explorer preview tab.

Preview FF (Alt+F11)
Switch to the Firefox preview tab.

File Commander (Alt+F12)
Switch to the file commander tab.


Help Menu
 Previous Top Next

Contents (F1)
View this help.

Useful keys
Display some useful keyboard shortcuts.

Check for updates

Check the home site for an update or a new beta version.

Send bug report
This command will open your default email software and create a simple bug report template. You just fill in the rest. Try to be as clear as possible and provide exact steps on how to reproduce the issue.
NOTE! It does not work with all email softwares. It should work with Outlook, Windows Mail and Outlook Express.


The sidebar
 Previous Top Next
Explorer Tab

The buttons at the top of the explorer view are:

Explorer
Open windows explorer using the current path.

Current document folder
Browse to the current document folder.

Views
Select how files and folder are displayed in the list view.

Up
Browse to the parent folder.

Explorer options
There are several options available to change the behavior and display of the explorer tree and the explorer list view.

Shell combo box
Select a drive or path to be displayed in the lists below.

Splitter/snap button
Click on the button to hide/view the shell tree.

Filter
Use to filter the display in the shell list box.

+ Enter a new filter (e.g. *.aspx;*.cs) and press the plus button.
- Select a filter and press the minus button to remove the filter.

Text clips Tab

The buttons at the top of the text clips tab are from left to right:

Add
Add a text clip sub folder. Simply enter a name.

Rename
Rename the sub folder.

Remove
Remove the sub folder and all the clips.

Main folder list
You can save clips in different main folders. The drop down menu have items to create, delete or rename folders.

Text clips Tab (center)
The buttons at the center of the text clips tab are from left to right:

Add
Add a text clip item. In the opened dialog enter a name for the item, select an icon and enter some code.

Edit
Edit an item. You can change anything you want in the opened dialog.

Remove
Remove the selected text clip item.

FTP Tab

The buttons at the top of the FTP tab are from left to right:

Connect/Disconnect
Opens the profiles (address book) where you select which FTP site to connect to. You can also add to or edit the address book.

Root
Browse to the root folder.

Up
Browse to the parent folder.

New Folder
Add a new folder.

Delete
Remove a file or a folder.

FTP profiles
Open the profile (address book) dialog.

Address bar
Displays the address. You can enter a path manually and press enter to browse the remote directory.

Project toolbar

New project
Start the wizard to create a new project.

Open project
Open an existing project file.

Add files to the project
Add files using the standard open file(s) dialog.

Add the active document
Add the current document to the project.

Remove from project
Remove the selected files from the project.

Favorites
Add your favorite projects.

Project toolbar (bottom)

Compile
Compile the project. Use the drop down menu below to select profile.

Build
Build the project. Use the drop down menu below to select profile.

Run
Build and run in one step. In the drop down menu you can select to run without build.

Project settings
Set the tool used to compile/build/run and how to view the result. You must also set the files to be compiled.

User commands
You can have 3 user commands. Use the project settings dialog to configure the commands.

IE Favorites

This tab can be used to browse the internet using the "Home" tab as a web browser.

Add to favorites
Add the current URL to Internet Explorer favorites.

Organize favorites
Organize Internet Explorer favorites.

Code Explorer

The code explorer tab display objects in your source code. It can be classes, functions, properties, tags or something else. This can be very helpful when you want to navigate your code. Just click on an item and the text cursor is placed at the selected object.

Structure (record)
Check button. Check this if you want structures and records to be displayed.

Classes
Check button. Check this if you want classes to be displayed.

Method class names
Check button. Check this if you want method class names to be displayed. In some programming languages the class declaration and the methods are separated in two different files. If a class declaration is not found, the class name is extracted from the method name. When a class name is selected, all methods found in that file are listed.

Options
Open a simple option dialog.

Refresh
Update the list.

Methods (procedures, functions)
Check button. Check this if you want functions to be displayed.

Properties
Check button. Check this if you want properties to be displayed.

Local Methods
Check button. Check this if you want local methods to be displayed. In some programming languages it is possible to declare a function inside a function (local function).

Enumerations
Check button. Check this if you want enumerations to be displayed.

Unknown objects
Check button. Check this if you want unknown objects to be displayed.

Refresh
Update the list.


The editor toolbar
 Previous Top Next
The editor toolbar have some buttons that may help you with your editing task. All buttons can be visible or hidden. The customize dialog is located in the "Environment" menu and can be used to set which buttons should be visible. You can also hide the entire toolbar. This can be accomplished in the "View" menu.

The buttons from top to bottom are:
Close
This button will close the current document.

Open As
Use this menu if you want to open a file using a specific encoding. Select a file in the sidebar explorer tab and choose an item in the "Open As" menu. You can choose to open a file as ASCII, ANSI, UTF-8 or Unicode encoded. You can also open a file as binary.

FTP menu
This menu is also available in the "File" menu. Use it to connect to an FTP site or save a file remotely (upload).

Insert clip
Insert a text clip from the "Clips" tab in the sidebar.

Indent
Indent the line at the text cursor or indent a selected block.

UnIndent
Unindent the line at the text cursor or a selected block.

Set Bookmark
Set a bookmark at the current line. A small icon will be placed in the margin to the left of the current line. There are 10 different bookmarks available. Bookmark 0 - 9.

Go to Bookmark
Go to a book marked line. To delete a bookmark - set the bookmark with the cursor placed at the book marked line. This will toggle the bookmark on and off.

Duplicate line
Make a duplicate of the current line below the current.

Delete current line
Delete the current line

Go to the matching brace
Find the matching brace and place the text cursor at its position.

Goto line
Click and enter a line you want to jump to.

Fold all
Fold all fold able blocks.

Unfold all
Unfold all fold able blocks.

Capitalize
Capitalize the selected text.

Uppercase
Make the selected text uppercase.

Lowercase
Make the selected text lowercase.

Ascending sort
Sort the selected lines in an ascending order.

Descending sort
Sort the selected lines in a descending order.

Sync Edit Mode
Synchronized editing mode. Rename a word in several places within a selected block of text.

Block Comments
Comment or uncomment a selected block of text

Toggle Sidebar
This button will shrink or expand the sidebar.


The quickbar
 Previous Top Next
General

The buttons from left to right are:

Enclose
Enclose the selected text within brackets.

Configure tools...
Add/Remove tools to the right on this toolbar.

Tools
All tools you want to display on the toolbar ends up here. There are 3 tools on the toolbar above.

Html

The buttons from left to right are:

Html Tree View
The tree have html tags and some attributes. You can open it with Shift+Ctrl+Space and navigate with the arrow keys. Use <enter> to select or <ctrl> to abort. The selected tag (and attribute) is inserted into the text. Selected text, in the editor, will be enclosed within the tag.

Html shortcuts menu (Quick)
The menu contains some often used html shortcuts.

Html shortcuts menu (Text)
Contains shortcuts to tags that are usually used for short phrases or single words.

Html shortcuts menu (Paragraph)
Contains shortcuts to tags that are usually used with longer texts.

Html shortcuts menu (List)
Contains shortcuts to tags for building lists and a list editor.

Html shortcuts menu (Table)
Contains shortcuts to tags for building tables. A table editor is also available.

Html shortcuts menu (Advanced)
Contains shortcuts to form and frame tags and several dialogs to aid you in creating your forms and frames.

Select a color
Get a color value from a color dialog.

CSS Editor
Editor to create cascading style sheets or just add styles to a tag in a html document.

Lorem Ipsum generator
Can be used to create some nonsense text to test your web page layout.

CSS

CSS Tree View
The tree have CSS attributes and some values. You can open it with Shift+Ctrl+Space and navigate with the arrow keys. Use <enter> to select or <ctrl> to abort. The selected attribute (and value) is inserted into the text.

Select a color
If you use the drop down list - you can select from some preset colors in the list. If you click the button a color dialog appears.

Fonts
The drop down list have some useful font family names. The button opens a font dialog.

CSS Editor
Open the style editor to add styles to the current document.

Javascript

Javascript/DOM Tree View
The tree contains the javascript functions and the DOM classes. You can open it with Shift+Ctrl+Space and navigate with the arrow keys. Use <enter> to select or <ctrl> to abort. The selected class or function is inserted into the text.

document.write("")
Just a quick button to insert document.write("") into the document.

ActiveX
Helps you insert an ActiveX component into your html file using the object tag.

PHP

PHP Tree View
The tree contains PHP functions and constants. You can open it with Shift+Ctrl+Space and navigate with the arrow keys. Use <enter> to select or <ctrl> to abort. The selected constant or function is inserted into the text.

Line comment
Just a quick button to insert line comment into the document.

Comment block
Quick button to insert a comment block. Selected text is enclosed.

PHP braces
Insert PHP braces by clicking on the button or selecting an item from the drop down list. Selected text is enclosed.

Convert to PHP
Selected text is enclosed within a function in the list. A function can be inserted on every selected row.

phpDocumentor
Click on the button to insert a standard documentation block. The items in the list helps you insert the right key words used.

XSLT

XSLT Tree View
The tree contains elements and functions. You can open it with Shift+Ctrl+Space and navigate with the arrow keys. Use <enter> to select or <ctrl> to abort. The selected element or function is inserted into the text.

value-of
Just a quick button to insert <xsl:value-of select="" /> into the document.

for-each
Quick button to insert <xsl:for-each select=""></xsl:for-each>. Selected text is enclosed.

template
Quick button to insert <xsl:template match=""></xsl:template>. Selected text is enclosed.


Keyboard shortcuts
 Previous Top Next
The following table lists some of the standard keyboard shortcuts available in the editor. Note that some shortcuts may differ depending on your keyboard layout. E.g. Ctrl+/ on an english keyboard may be Ctrl+' on a swedish keyboard. But the same keys are still used.

You can also customize the shortcuts using the "Customize keyboard" dialog found in the "Environment" menu.

Shortcut | Action
Home | Move cursor to the beginning of the line. Clicking twice will move the cursor to the first non-space character in the line.
End | Move cursor to the end the of line
Ctrl + Left | Move cursor to the previous word
Ctrl + Right | Move cursor to the next word
Ctrl + PgUp | Move cursor to the top of the page
Ctrl + PgDn | Move cursor to the bottom of the page
Ctrl + Up | Scroll up 1 line
Ctrl + Down | Scroll down 1 line
PgUp | Scroll up 1 page
PgDn | Scroll down 1 page
Ctrl + Home | Move to the beginning of the file
Ctrl + End | Move to the end of the file
Insert | Toggle Insert/Overwrite mode
Delete | Delete character or selection
Backspace | Delete previous character or selection
Tab | Move cursor to the nearest tab position or indent selection
Shift + Tab | Move cursor to the nearest tab position or unindent selection
Ctrl + / | Comment or uncomment a selected block
Ctrl + X | Cut
Ctrl + C | Copy
Ctrl + V | Paste
Shift + Ctrl + V | Smart paste
F1 | Help
Ctrl + LMouseButton | When clicking the mouse over a link in the document the editor opens a web browser or an email client.
Ctrl + . | Go to the matching bracket.
Shift + Left/Right/Up/Down | Expand the selection one character left or right. Or one line up or down.
Shift + Ctrl + Left/Right | Expand the selection to the next or previous word.
Shift + PgUp/PgDn | Expand the selection one page up or down.
Shift + Ctrl + Home/End | Expand the selection to the document home (start) or end.
Shift + Home/End | Expand the selection to the beginning or end of line.
Ctrl + Double mouse click | If over a brace char, all text inclosed will be selected including the braces.
Ctrl + Space | Open an auto completion list in the document. This only works if items are available in the syntax file (UserMenu section).
Ctrl + J | Open the class completion dialog.
Shift+Ctrl+H | Display hint window. Can be a parameter hint. (Method, object, variable hint is NOT IMPLEMENTED YET)
Shift + Ctrl + Space | Open the current tree view in the quickbar. You may have to set this manually in customize keyboard dialog.
Shift + F9 | Toggle browser view on/off.
Ctrl + Mouse wheel Up/Down | Increase/Decrease the current font size.
Shift + Right mouse button | Click on the document tab to close it.

Some other useful functions
In the editor there are a few functions that might be helpful.

· Triple click with left mouse button will select the hole text line.
· Clicking the left mouse button on a selected text block, dragging the mouse to a different location and releasing the button, will move the text block to the new location (drag n' drop). If you just want to copy the text block, hold the Ctrl key while dragging the text.
· Smart paste can be a very useful feature when editing source code, as well as smart backspace and auto indent.

Html tag shortcuts
Ctrl + T | Insert title tag
Ctrl + B | Insert bold tag
Ctrl + I | Insert italics tag
Ctrl + U | Insert underline tag
Shift + Ctrl + P | Insert paragraph tag
Shift + Ctrl + B | Insert line break
Shift + Ctrl + C | Insert comment


Command line
 Previous Top Next

File names as parameters
RJ TextEd allows multiple files to be specified in the command line. Each of the files will be opened in its own tab when the editor starts up.

The file names on the command line should be separated with a space.

E.g.
TextEd.exe test1.pas test2.pas

This will open two files ("test1.pas", "test2.pas").

Long filenames should be enclosed in quotes "".

E.g.
TextEd.exe "long file name.txt"

This will open the file named "long file name.txt".

Use wildcards to open files (*)

To open several files you can use the * wildcard.

E.g.

TextEd.exe F:\Source\*.cpp

this will open all files in the \Source folder with the file extension .cpp.

Specify text cursor position /L
To specify the line number to position the cursor when the file is opened, the line number should be specified with '/L' switch.

E.g.
TextEd.exe /L:8 About.pas

This will open the file with the text cursor at line 8.

Open file as read only /R
Open a file as read-only by using the switch '/R'.

E.g.
TextEd.exe /R About.pas

Open files using a specified code page /CP=<code page>
Open a file using a specified encoding or code page with the '/CP=' parameter.

E.g.
TextEd.exe /CP=65001 About.pas

will open the file as UTF-8 encoded (no signature).

E.g.
TextEd.exe /CP=1252 About.pas

will open the file as ANSI encoded using the Cyrillic character set.

Reload an open file /RL
Use this option to load a file and reload it, if it is already opened.

Close an open file /C
Add the parameter /C if you want to close the given file(s) from the command line.

Open the file(s) in the hex editor /HEX
Add the parameter /HEX if you want to open given file(s) in the hex editor.

Open the editor using a different settings file /SETTINGS "<path\TextEd.ini"
Use this to open the editor using a different setting. E.g.

TextEd.exe /settings "F:\MyData\TextEd.ini"

will open the editor using the settings in F:\MyData folder.

NOTE!!! The settings parameter has to be the first parameter on the command line for this to work.


Handle language file

Create a new language file
 Previous Top Next

Language files

The program can use language files to support different languages. Use the add-ons dialog to change language used.

Download language files

Use this pane to download new languages from the home site.

Create new language file

To create a new language file select "New -> General -> Language file -> .ini" and replace the English text after each (=) sign. It should look something like this:

[Menu]
m00=Arkiv
0000=Nytt
0001=Öppna
0002=Öppna tidigare
0004=Spara
0005=Spara som...

Save the file and select it in the "Add-ons" dialog. If you're pleased with the result you can send your new language file to: support@rj-texted.se . And I'll put it here.

New language files are placed in

Windows XP
C:\Documents and Settings\(User)\Application Data\RJ TextEd\Language

Windows Vista
C:\Users\(User)\AppData\Roaming\RJ TextEd\Language

In the portable version the files are located in
...\RJ TextEd\Language


Handle syntax files

Create a new syntax file
 Previous Top Next

Syntax files

To handle or download highlighters (syntax file), please use the "Add-ons" dialog.

Download syntax files

Use this pane to update or download highlighters (syntax files) from the home site.

Create new syntax file

Use the syntax editor to create new syntax files. Please read the help file for more information on how to create one.

All syntax files should be place in:

Install version
C:\Documents and Settings\(User)\Application Data\RJ TextEd\Syntax (Windows XP)
C:\Users\(User)\AppData\Roaming\RJ TextEd\Syntax (Windows Vista)

Portable version
<Progdir>\RJ TextEd\Syntax

You can email new syntax definition files to: support@rj-texted.se


Convert text to a different character set
 Previous Top Next
If you have a text saved on a different system, DOS, MAC or another windows language version, you might have to convert the text for it to be displayed and edited correctly. Lets look at a few examples.

Ex.1
The text is saved on a Russian Windows Me. It is saved as a normal ANSI text document. Now you want to read it in your English Windows XP. But when you load the text file the text is unreadable. This is because your English Windows XP is using an English ANSI character set, that do not contain any Russian (Cyrillic) characters.

Load the document in RJ TextEd and select in the menus "Convert -> to character set -> Cyrillic (Windows)". The converted document is opened in a new tab and the text is now readable using Cyrillic characters.

Note, that if you want to save your text you might want to save it as UTF-8 or Unicode. If you save it as ANSI - some characters might be lost. Text containing another language then your native Windows language should not be saved as ANSI.

Ex.2
You have a text written in a Swedish MS DOS version and want to display it in an English Windows. When loading the file some characters are not displayed correctly. Mostly graphic characters but also some Swedish characters.

In the menus select "Convert -> to character set -> DOS -> Nordic" and the converted text is displayed in a new tab. The text should now contain both Swedish characters as well as DOS graphic characters.

Since the text contain foreign and special characters you should save it as UTF-8 or Unicode.


Convert file encodings
 Previous Top Next
Use this tool to convert file encodings of one or several files on disk.

Encodings

From
Select the current encoding of the files. The files to be converted should all have the same encoding. E.g. if the files to be converted are ANSI files, select the correct ANSI encoding in the list. Files with a Unicode signature (BOM) will be identified though and handled correctly.

To
Select the encoding to convert the files to. E.g. if the files should be converted to UTF-8, select Unicode (UTF-8) in the list.

Unicode signature (BOM)
Set this if the converted files should have a Unicode signature. This option will only affect Unicode files and will have no effect on ANSI files.

Files

Select files to convert
Click on the file button to open the file dialog. You can select as many files as you want. And you can do it several time to select files in different folders.

Backup files (.bak)
Set this option to backup the converted files. The backup files will have the file extension .bak.
NOTE! The undo feature will only work if you backup your files.

List and buttons

File List
The file list display all the files to be converted. It is possible to uncheck files you want to exclude from the conversion.

Run
Convert the files. The original files are overwritten. Use the backup option to save the original files.

Undo
Rename the backup files (with .bak extensions) to restore the old files. This only works if the backup option was used. Otherwise, this button is disabled.


Use advanced sort
 Previous Top Next
Use the sort dialog to sort a text based on one or several keys. You can use up to 4 keys with individual settings for sort order, string or numeric sort...

Keys
A key is a piece of text that we use to sort the lines by.

E.g. In the text below we have 4 columns of text.

Id      Name    Date           Sum

054     Paul    2009-05-12     14000.34
014     John    2008-08-24      2300.54
031     John    2008-02-13      3100.17

If we want to sort the 3 lines we can choose to sort by the Id, Name, Date or Sum. If we choose to sort by name, we select the 3 lines and use the values

[Key 1]
Ascending sort
Start Column: 7
End Column:  11

Since we have 2 John's we could use a second key to sort these two. If we sort by Sum, add on the Key 2 tab:

[Key 2]
Descending sort
Start Column: 31
End Column:   39

The result should be:

Id      Name    Date           Sum

031     John    2008-02-13      3100.17
014     John    2008-08-24      2300.54
054     Paul    2009-05-12     14000.34

The lines are sorted by name in ascending order. The two John's are sorted by the sum values in descending order.

Sort order
Two values are available. Ascending and descending sort order. The default sort type is strings. For numeric sort check the option below.

Columns
To select a key we must enter a range of characters. The start column is the first character position of the key text. The end column is the last character in the key text.

Ignore case
Ignore the case of the keys. E.g. John and john are treated as equal if case is ignored.

Numeric sort
The key text should be treated as numeric values and be sorted in correct numerical order.

Remove duplicate keys
In the example above, the first line "031 John..." would be removed with this option checked, since we have a duplicate key value "John". The entire line will be removed as can be seen below.

The result:

Id      Name    Date           Sum

014     John    2008-08-24      2300.54
054     Paul    2009-05-12     14000.34

Use this to remove lines where we have duplicate key values.

Remove duplicate lines
The entire lines are compared and duplicates are removed.

E.g. if we have

Id      Name    Date           Sum

014     John    2008-08-24      2300.54
014     John    2008-08-24      2300.54
054     Paul    2009-05-12     14000.34

we can use this option to remove duplicate lines. The result would be

Id      Name    Date           Sum

014     John    2008-08-24      2300.54
054     Paul    2009-05-12     14000.34


Use sync edit mode
 Previous Top Next
Enter sync edit mode if you want to rename a variable, method or another word in several places within the text.

To enter sync edit mode is simple:

1. Select a block of text. E.g. a function, procedure or just some text.
2. Press the "Sync Edit Mode" button in the sidebar.
3. The background of the selected text changes to lite cyan.
4. Move the text cursor to the variable you want to rename. Notice that the variable is framed in the entire block.
5. Edit the name. Notice that the variable changes the name in the entire block.
6. Press "Sync Edit Mode" button when finished.

There are several things that are disabled in sync edit mode, like normal editing, cut/copy/paste and other functions. Sync edit mode is only supposed to be used to rename a word in several places in a block of text.


Use html shortcuts
 Previous Top Next
Insert tags
When selecting a html shortcut, usually a start and a stop tag is inserted in your document. Any selected text is inserted between the tags. Some shortcuts are wizards where you can enter data and select attributes for the tag. Most of these are self explained and not very difficult to use, if you are familliar with html. Some things might need some explanation thow.

Meta tags

Description
Enter a short description of your home page.

Keywords
Enter single words and phrases, separated by commas. You should use words available in the description and in your html body.

Author
The name of the web page creator. Could be your name or a company name.

Copyright
Date | name. E.g. 2005,your name.

Expires
You can enter "never" or a date (day:month:year). E.g. 28 June 2006.

Rating
Inform search engines of the content of your site.

Distribution
Who is this page meant for?

Robots
Tell the search engine if it should index this page and if it should look for any linked pages.


Synchronize folder
 Previous Top Next
How to synchronize folders or web sites using the FTP client.

Connect to you FTP site and go to the folder you wish to synchronize with a local folder. In the FTP client click on the "synchronize" button and the synchronize wizard is opened. Next select the direction and options.

Directions

Synchronize remote folder to match local (upload)
The time stamp on every local file is checked against the remote files. The files not present or newer are copied to the remote folder.

Synchronize local folder to match remote (download)
The time stamp on every remote file is checked against the local files. The files not present or newer are copied to the local folder.

Synchronize remote and local folders (upload and download)
The folders are synchronized in both direction, as above. First files are uploaded then downloaded.

Options

Include sub folders
Not only files in the current folders are synchronized but all files in the sub folders as well.

Delete extra files and dirs
When synchronizing in one direction there might be some files and folders not present in the folder you are synchronizing with. Usually these files and folders should be deleted. But you can decide, with this option, if they should.

Confirm deletes
Every time an extra file is to be deleted you can be asked if you want to delete the file. If there are many extra files this can be very annoying, but you get to decide which extra file should be erased.

Excludes
Exclude files, folders and names from the synchronization process. You can use wild cards like *.tmp.

Next press "Scan" to compare the folders and the result is displayed in a list box.

Unselect any file you don't want copied or deleted. When you are ready to proceed with the synchronization, click on "Run".
You can at any time click on "Abort" if you which to cancel the synchronization.


Enable Firefox preview
 Previous Top Next
To enable the Firefox preview in the editor, you first you need to install Firefox then install the program.

If you are using the portable version you can download a small tool called "FFTabInstall.exe" found on the home site http://www.rj-texted.se/downlod . The tool will install a few files in the Firefox folder. Once installed you should see a Firefox tab, next to the IE preview tab, in the main window.


The syntax editor
 Previous Top Next
With the syntax editor you can create or edit syntax definition files to be used in RJ TextEd. It is possible to create these manually in the editor using an old format. But they have to be converted to the new format using the syntax editor.

Multi highlighter Options
The first line in the syntax file can hold a directive. This is used, in some syntax files, when you want the editor to open a different syntax file instead of this one. This can be very useful if the syntax file is capable of using several syntax files for highlighting. Also called a multiple highlighter.

E.g.
We put a directive in the PHP syntax file like this:
Syntax | Html
File | Html.syx

If we open a PHP file, the editor will first check the first line in the PHP syntax file. When it finds a directive, it will open the Html syntax file instead. The html syntax is a multiple highlighter and will use several syntax files to highlight the code. Including the PHP syntax file. All PHP code will be highlighted using the PHP syntax file. Html code will be highlighted using the Html syntax file and CSS code using the CSS syntax file and so on. The Html highlighter ignores the directive when it open other syntax files for highlighting.

Syntax options
There are several options you can add to a syntax definition file. You only have to include the options you actually need.

LineCommentA

Syntax
LineCommentA
<string>

Description
The string is used to identify a line comment.

Example
LineCommentA
//

LineCommentB

Syntax
LineCommentB
<string>

Description
The string is used to identify a line comment. Use this if you need a second line comment.

CommentStartA

Syntax
CommentStartA
<string>

Description
The string is used to identify a comment start block.

Example
CommentStartA
/*

CommentEndA

Syntax
CommentEndA
<string>

Description
The string is used to identify a comment end block.

Example
CommentEndA
*/

A comment block can, for instance in Java, be:

/*
This is a block comment, or a
multi line comment.
*/

So the options in a Java syntax file should be:
CommentStartA | /*
CommentEndA | */

CommentStartB

Syntax
CommentStartB
<string>

Description
The string is used to identify a comment start block.

CommentEndB

Syntax
CommentEndB
<string>

Description
The string is used to identify a comment end block.

CommentEsc

Syntax
CommentEsc
<string>

Description
In e.g. LaTeX a comment is written after a ( % ) sign. To write the actual ( % ) sign (not comment) you type ( \% ). For the editor to handle comments and the sign ( % ) set the comment escape to ( \ ). Now the ( \% ) sequence isn't highlighted as a comment.

AllowNestedComments

Syntax
AllowNestedComments
<Yes|No>

Description
Set this to "Yes" if you want to allow the use of nested comments.

Example
/* Comment block
/* Nested comment block */
we are still in comment block
*/

OnlyLineCommentIfFirstChar

Syntax
OnlyLineCommentIfFirstChar
<Yes|No>

Description
Line comment characters should only be used as line comment when they are the first non-white space character on the line.

Example
' This is a line comment

... some text here ' this is not a line comment
Char

Syntax
Char
<string>

Description
The string is used to identify a character bracket.

String

Syntax
String
<string>

Description
The string is used to identify a string bracket

Example
Everything between char or string symbols will be colored as a string. E.g. with the string option:
String | "
StringOnLine | Yes

strings will be highlighted in the editor:

"This is a string!"

StringOnLine

Syntax
StringOnLine
<Yes|No>

Description
Tell the editor if a string should span several lines or just one. This can differ for different programming languages.

VerbatimStringStart

Syntax
VerbatimStringStart
<character>

Description
In C# you can enter a @ character before the string to have the string containing any characters, including characters usually treated as escape characters. The verbatim string does not have escape sequences.

So the statement:

test=@"c:\Test\test.doc";

is same as:

test="c:\\Test\\test.doc"; .

HexIdentifier

Syntax
HexIdentifier
<string>

Description
Most programming languages have a hexadecimal identifier. It can be a (0x) or a (#) sign. Or it can be something else.

(Note! The tool "Colors" uses this identifier when inserting a color into your text. It is always inserted as a hexadecimal number.).

Escape

Syntax
Escape
<string>

Description
Most programming languages that uses a string also have an escape char. E.g. the (\) char.

AllowEscapeOutsideString

Syntax
AllowEscapeOutsideString
<Yes|No>

Description
In most programming languages a string escape is only used inside a string. But in some languages it is valid to escape a beginning of a string (outside a string). This option is used with the Perl syntax.

Numbers

Syntax
Numbers
<string>

Description
Enter the chars that should be identified as numbers. E.g. Numbers = "0123456789"

Symbols

Syntax
Symbols
<string>

Description
The editor uses the symbols entered here to separate words (a space char is always used to separate words). Add your values here very carefully.

Example
If you add the folloing in a CSS syntax file:
Symbols
()

could generate the following result:
{FONT-FAMILY: ARIAL,HELVETICA}

but with:
Symbols
():,
you get:
{FONT-FAMILY: ARIAL,HELVETICA}

The symbols ":," are very important in CSS and are used to separate properties and values.

CaseSensitive

Syntax
CaseSensitive
<Yes|No>

Description
Tells the editor if the keywords should be identified with or without case sensitivity.

TagCaseSensitive

Syntax
TagCaseSensitive
<Yes|No>

Description
Tells the editor if the tags should be identified with or without case sensitivity.

HighlightUrl

Syntax
HighlightUrl
<Yes|No>

Description
Tells the editor that hyperlinks in the text should be highlighted and can have its own color.

AutoCompleteTags

Syntax
AutoCompleteTags
<Yes|No>

Description
All tags or block with a start string of "<" and an end string of ">" can be auto completed. This option is set to "Yes" in the XML syntax file.

Example
In XML when you enter <LastName> the stop tag is inserted and the cursor is placed in between

<LastName>|</LastName>

Tags that ends with "/>" are ignored. This option could work in the Html syntax as well, but only if you always use xHtml. It wont work in html with tags like <br> since it doesn't have a closing tag.

AddProjectClassesToCompletion

Syntax
AddProjectClassesToCompletion
<Yes|No>

Description
If you have created a project and if it contain classes, this option tell the editor to add those classes to the list when auto completion and the user menu is invoked.

AutoCloseBraceStart, AutoCloseBraceEnd,
AutoCloseBlockStart, AutoCloseBlockEnd

Syntax
AutoCloseBraceStart | <string>
AutoCloseBraceEnd | <string>
AutoCloseBlockStart | <string>
AutoCloseBlockEnd | <string>

Description
Tell the editor what to use with the option to automatically close blocks and braces.

Example
E.g. The programming language can use the braces:

(), [], ""

and a block is enclosed by {...}

So we enter:
AutoCloseBraceStart | (["
AutoCloseBraceEnd | )]"
AutoCloseBlockStart | {
AutoCloseBlockEnd | }

OnlyHighlightInBlock

Syntax
OnlyHighlightInBlock
<Yes|No>

Description
Tells the editor to only highlight code within a block. This is used in e.g. CSS where we only want the editor to highlight text inside the { ... } brackets.

EndOpenBlockAt

Syntax
EndOpenBlockAt
<string>

Description
Tells the editor to end an open block at one of these characters. This is e.g. used in the JScript syntax for regex modifiers.

AutoCompleteCharA

Syntax
AutoCompleteCharA
<char>

Description
This character is used to trigger auto completion. In most programming languages this should be a dot (.).

AutoCompleteCharB

Syntax
AutoCompleteCharB
<char>

Description
A second character to be used to trigger auto completion. In some syntax files a space is used to trigger auto completion e.g. after the "new" keyword.

HintCharStart

Syntax
HintCharStart
<char>

Description
Hints can be used to with function to display parameters. Usually a left bracket "(" is used, but can be anything you want. If nothing is entered "(" is assumed.

HintCharEnd

Syntax
HintCharEnd
<char>

Description
Hints can be used to with function to display parameters. Usually a right bracket ")" is used, but can be anything you want. If nothing is entered ")" is assumed.

Block

BlockName

Syntax
BlockName
<string>

Description
A block is everything between a block start and a block end symbol. The block name option creates the block and has to be entered before any other block options. You can create as many blocks as you want. Just enter a new block name option with a different value (name) and the other block options will then affect the new block.

Open block
If you only enter a block start, and not a block end, you get an open block. A space or symbol will then end the block. This is used in the syntax definition file for the Perl language to highlight variables. E.g. @var were @ act as a block start and with no given block end the space act as the block end.

Example
E.g. The blocks we want to create are:

[ ... ]
{ ... }

So we enter:
BlockName | Example block 1
BlockOnLine | Yes
BlockAsString | Yes
BlockStart | [
BlockEnd | ]
BlockName | Example block 2
BlockOnLine | Yes
BlockAsString | Yes
BlockStart | {
BlockEnd | }

A block can be used as an advanced string. It can act exactly like a string coloring everything in the block with the same color. Or it can just color everything it does not recognize using a block color. This can be extremely helpful when writing syntax files. Keywords, strings, numbers and so on keeps there specific color but the rest gets the block color. Here are some very simple example of how it can be used.

E.g.
An ini file looking like this:

[Colors]
Text=255
Bk=0

will with these options:
BlockName | Key block
BlockOnLine | Yes
BlockAsString | Yes
BlockStart | [
BlockEnd | ]

look like this, if the "Key block" color is set to "Teal":

[Colors]
Text=255
Bk=0

E.g.
A line in a CSS file might look like this:

P {FONT-FAMILY: Arial, Helvetica, sans-serif}

Now, the editor does not have to recognize every font type to color the names. If P is colored as normal text (e.g.purple) and FONT-FAMILY as a keyword (e.g.blue). And we enter these options:
BlockName | CSS block
BlockOnLine | No
BlockAsString | No
BlockStart | {
BlockEnd | }

With the "CSS block" color red, we get:

P {FONT-FAMILY: Arial, Helvetica, sans-serif}

(Note! For this to work you must enter the colon (:) as a symbol but not (-). If you enter (-) as a symbol FONT-FAMILY will not be recognized as a keyword because FONT and FAMILY will be handled separately.)

BlockOnLine

Syntax
BlockOnLine
<Yes|No>

Description
Tell the editor if the block can span over several lines, or just one line.

BlockAsString

Syntax
BlockAsString
<Yes|No>

Description
Set this option to change the behavior of the block.
1. "Yes" the block will act like a string. Everything inside the block, including the block characters, will have the same color.
2. "No" keywords, strings, symbols ... will have there specific color and the text not recognized (all the rest) will be colored with the block color.

BlockStart

Syntax
BlockStart
<string>

Description
A string to start a block.

BlockEnd

Syntax
BlockEnd
<string>

Description
A string to end a block. If this option is empty, an open block is created. The block is then ended by a space or a symbol.

BlockEsc

Syntax
BlockEsc
<string>

Description
In e.g. LaTeX the sign ( $ ) is treated as a block. To write the actual ( $ ) sign you can type ( \$ ). For the editor to handle blocks and the sign ( $ ) correctly, set the block escape to ( \ ). Now the ( \$ ) sequence isn't highlighted as a block.

Folding

Fold_Id

Syntax
Fold_Id
<string>

Description
This can be used to identify the beginning of a fold region. E.g. to identify a function in Pascal/Delhi you could write:

Example
A string with a maximum of two words can be used.
Fold_Id | function
Fold_Begin | begin
Fold_End | end

Fold_Begin / Fold_End

Syntax
Fold_Begin | <string>
Fold_End | <string>

Description
In several programming languages a block is marked by a begin id and an end id. These can be { ... } or begin ... end. The editor needs to know the begin id to correctly identify the end statement.

Example
Let us look at a few examples:

Ex1.

function Test( form )
{
// A simple if statement
if (form.name.value == "")
{
alert("Please enter a name.");
form.name.focus();
return false;
} // end if
} // end function

Now as fold id we can use "function". We should also use "{" as begin and "}" as end, as below.
Fold_Id | function
Fold_Begin | {
Fold_End | }

If we don't use a begin id the editor will think the fold region ends at the " } // end if " statement.

Ex.2.

Now, what if we want all " { ... } " blocks to be foldable. That's actually very simple. We just enter an empty fold id. The editor will then try to id the right row automatically. If we don't want to fold if { ... } we can add this to the option Fold_Opt_AutoIdExcludes = "if". This is how it would look like:
Fold_Id |
Fold_Begin | {
Fold_End | }
AutoIdExcludes | if

Ex3.

<body>
<table ...>

</table>
</body>

Lets say we wish to fold both the body and the table block. We then enter:
Fold_Id | <body
Fold_Begin |
Fold_End | </body
Fold_Id | <table
Fold_Begin |
Fold_End | </table

That was simple, wasn't it?

As with the id, a string with a maximum of two words can be used. E.g. Fold_End = "End Function" used in VB .NET. The editor will also ignore foldable blocks that only span one line.

Fold_EndBefore

Syntax
Fold_EndBefore
<string>

Description
Some programming languages and scripts can not be folded using a start/end keyword. This option may then be used to end the fold before a specified phrase or by using a command. There are some commands you can use to end the fold:
· \lf - line feed. The line can contain spaces or tabs but is otherwise blank. Can also be the last line (end of file).
· \ef - end of file. The last line in the document. This is used in the INI syntax file.
· \in - indent. Compare the indention to the fold start line. Can also be the last line.
· ~ - the string has to be the first string on the line. E.g. ~[ means the [ character has to be the first character on the line.

It is possible to use a combination of command and keywords, but always place the command first. \lf, \ef and \in can not be used together though.

Example

Ex. 1
In the programming language Boo we need to create folds by reading the indent of each line.

1 def Hello():
2 return "Hello, World!"
3
4 def Hello(name as string):
5 return "Hello, ${name}!"

We use the following options:
Fold_Id | def
Fold_EndBefore | \in

this tells the editor to compare the indention with the fold start line. If code with the same (or less) indention is encountered, we have a fold that ends just above that line. The end of the fold can also be the last line in the document.
Above we get two folds between lines:

1-3 because the "def..." at line 4 has the same indention as "def..." on line 1.

4-5 because it is the last line and no similar or smaller indention was found.

Ex. 2
In a .reg or .ini file we have sections with no "end" keyword. We need to find the end of each section in order to create a fold.

1 [section]
2 key=value
3 key=value
4
5 [section]
6 key=value
7 [section]
8 key=value

Looking at the code above we see that the end of a section can the beginning of a new section or the last line. We use the options:
Fold_Id | [
Fold_EndBefore | \ef ~[

The [ - sign identifies a new section and \ef the last line (end of file). The ~ sign is used to tell the editor that the [ sign has to be the first character on the line. We get folds between lines:

1-4 : line 5 is a new section.

5-6 : line 7 is a new section.

7-8 : line 8 is the last line in the document.

Ex. 3
In several programming languages like C++, PHP... you may enter code like

1 if (...) {
2
3 } else {
4
5 }

The "if { ... }" block should create a fold, but it would then include the "} else {" statement. We need to tell the editor that we want the fold to end above the "} else" statement. We use the following options:

Fold_Id | if
Fold_Begin | {
Fold_End | }
Fold_EndBefore | } else
Fold_Id | else
Fold_Begin | {
Fold_End | }

This will create folds at lines:

1-2 : Fold ends before line 3 because of the "} else" statement.

3-5 : "else { ... }" fold, as expected.

Fold_Section

Syntax
Fold_Section
<string>

Description
Use this option if you only want a fold block to appear in a certain section of the source.

Example
In Ex3. above you could add:
Fold_Id | <table
Fold_End | </table
Fold_Section | <body
Fold_opt_Sections
<head|<body

In this case it is a bit unnecessary, but can sometimes be useful. E.g. in Pascal/Delphi you declare procedures and function in the "interface" section. You don't want these to be foldable, only the procedures and function in the implementation section

Fold_NoParentOfId

Syntax
Fold_NoParentOfId
<Yes|No>

Description
This option is probably only useful in Pascal/Delphi syntax. In Delphi you can declare a class without the actual declaration of its class members.

Example

TMyClass = class; // First class declaration

TMyOtherClass = class // Second class declaration

class methods ...

end;

Now, you want the second class declaration to foldable and the first to be ignored. So, we write:
Fold_Id | class
Fold_End | end
Fold_NoParentOfId | Yes

Fold_NoParentOfId = Yes <-- This makes the editor skip the first class declaration and use the second instead.

Fold_List_Item

Syntax
Fold_List_Item
<string>

Description
Use this option to tell the editor that this node should be added to the code explorer. The type can be:

ceStruct - structures, records...
ceEnum - enumerations
ceClass - class
ceNS - namespace (.NET)
ceMethod - procedure, function...
ceConstructor - constructor
ceDestructor - destructor
ceProperty - property
ceTag - html tag
ceTagStyle - html style tag
ceTagScript- html script tag
ceTagHead - html head tag
ceTagBody - html body tag
ceUnknown - misc...

Example
Fold_Id | class
Fold_End | end
Fold_List_Item | ceClass
Fold_Id | Function
Fold_End | End Function
Fold_List_Item | ceMethod

Fold and Region options
.
List_As...

Syntax
List_AsStruct | <string>
List_AsEnum | <string>
List_AsClass | <string>
List_AsNS | <string>
List_AsProperty | <string>
List_AsMethod | <string>

Description
In some languages you want all " { ... } " blocks foldable. You can use this option to teach the editor which elements should be added in the code explorer.

Example
E.g.
You have the following options in a syntax file:
Fold_Id |
Fold_Begin | {
Fold_End | }

To let the editor recognize some important elements you can use the options above. E.g.
List_AsClass | class
List_AsStruct | record

All other elements will be added as methods to the code explorer. You should use the exclude feature below as well.

List_Exclude

Syntax
List_Exclude
<string>|<string>|...

Description
Exclude some elements from the code explorer.

Example
List_AsClass | class
List_AsStruct | record
List_Excludes | case|else|if|for|while

If we don't add the exclude option above, all elements like for, while, if ... would be added to the code explorer and displayed as methods.

List_ClassSeparator

Syntax
List_ClassSeparator
<string>

Description
In some languages a class function consist of a class name and a function name divided by a separator. In C++ the separator is "::".

Example
So in a C++ syntax file we should enter:
List_ClassSeparator
::

This will add the functions to the right class in the code explorer.

AsBegin

Syntax
AsBegin
<string>|<string>|...

Description
Some languages use a begin and an end statement to all blocks. And some don't. For instance Delphi don't use begin with "case" or "try" statements. If we don't add these as fold blocks we need to tell the editor that case and try should be counted as a begin statement.

Example
Lets look at an example:

procedure Test(const s: string);
begin
if ( s = '' ) then
begin
exit;
end; <-- first end

case ... of
some code ...

end; <-- second end
end; <-- third end

As you can see in the code above, there are 3 ends but only 2 begins. For the editor to find the third end statement we need to tell the editor to count "case" as a begin statement, as shown below:
Fold_Id | procedure
Fold_Begin | begin
Fold_End | end
Fold_Section | implementation
AsBegin | case|try
Sections | interface|implementation

Sections

Syntax
Sections
<string>|<string>|...

Description
If you are using the section option in the fold blocks, the editor needs to know which sections to look for, as shown in the example above.

Separators

Syntax
Separators
<string>

Description
A space will always separate statements, but there can sometimes be other symbols before or after a fold id.

Example
E.g. in the example above you can see:

if( <-- notice the (
end; <-- notice the ;

For the editor to be able to identify "if" and "end" we enter:
Separators
(;

With this option the "if" and the "end" statements are recognized properly.

Case

Syntax
Case
<Yes|No>

Description
Set this option to yes if the folding identifiers are case sensitive.

FoldAllTags

Syntax
FoldAllTags
<Yes|No>

Description
With this option set to yes, all tags will create a collapsible region. Start and end tags on the same line are ignored and so are closed tags. This options should probably only be used with XML files or XML based languages like XHTML.

AlwaysAllowNesting

Syntax
AlwaysAllowNesting
<Yes|No>

Description
With this option set to yes, all folded items in your code can be nested. This is usually prevented. Most programming languages don't support nested function etc. In some situations nesting of functions, properties etc. may cause problems. This option is therefore usually set to "No".

Start / End

Syntax
Start | <string>
End | <string>

Description
Start and end of a region. Regions are used in .NET languages like C#.

Example
In a VB .NET syntax file we can write:
Start | #Region
End | #End Region

A string with a maximum of two words can be used as region identifiers.

CommentStart

Syntax
CommentStart
<string>

Description
In for instance Delphi .NET a comment is used to "hide" region identifiers. The editor needs to know which comment symbols is being used.

Example

{ $REGION ... }

Some code ...

{ $ENDREGION }

We just need to tell the editor which comment symbol is used.
Start | $REGION
End | $ENDREGION
CommentStart | {

"{" is the comment used to "hide" the region identifiers.

Keywords
You can have as many keyword groups as you want. E.g. one group can be standard keywords and another group data types. Enter a name to the keyword group and then add keywords to that group.

Tags
Tags are used in for instance html files. You can add as many tag groups as you want. Enter a name to the tag group and then add tags and stop tags to that group.

User Menu
In the user menu you can add items you want to be available in the editor when you hit Ctrl + Space. The user menu can contain any text you want. Enter a menu name and add items to the menu. The menu items have icons and data. The data is text that should be inserted in the editor when selected. Selecting a menu item and pushing the insert button (or double click the item) will insert a text at the cursor position. If nothing is entered as "Inserted Text" the menu item name itself is inserted at the cursor position.

Class Auto Completion
When typing a class name and a dot in the editor you can present the user with a list of variables and methods.

1. Enter a class name. The name can be a single word or several separated with a dot. E.g. System.out. or just System.
2. Enter the members for your class.
3. For each item you can select an icon.
4. For each item you can specify the text that is inserted into the editor. If nothing is specified the item name itself is inserted.

Tag Auto Completion
When typing a tag (<) or a space inside a tag you can present the user with a list of tags or attributes. Also when typing a stop tag (</) the user can be presented with a list of stop tags.

1. Enter all the tags and stop tags.
2. For each tag enter the attributes that is available for this tag.
3. Select icon for the attribute.
4. Select the text that should be inserted for the attribute. If nothing is entered the attribute name will be inserted.

When typing ( < ) in the editor all the tags are listed in a listbox. If the user then enters a ( / ) the listbox changes and all stop tags are listed. When hitting the space bar inside a valid tag a list with attribute for that tag is shown in a listbox.
· When a tag is selected in a listbox only the tag name is inserted.
· When a stop tag is selected the stop tag name and a ( > ) character is inserted. E.g. when typing </ and the user selects applet applet> is inserted resulting in </applet>.
· When an attribute is selected you can decide what should be inserted.

Hints
When typing a function or method in the editor the user can be presented with a hint.

Enter the full name for the function or method. E.g. System.load(String filename) . What you enter between the brackets is up to you. You could have entered: System.load(filename).

Syntax Sample
In the options dialog the user should be presented with a sample of the source code to aid the user when selecting colors and text attributes for keywords, string ...

Try to add all elements in this sample. The code does not have to be functional. It should have keywords, a string, numbers, comments, symbols, maybe tags (and a script) or blocks that you have created in the options page.

Add-ons information
The author and date string information will be displayed in the add-ons dialog. The version number is used to compare the remote and local version when updating the syntax files.

Author Information
This is optional. You can add or delete items as you please.

Enter some information about the syntax type, date and author. You can also enter some information about the colors you think should be used with certain keywords or maybe some version information. You can enter as much text here as you want.

These four lines

Syntax:
Author:
Version:
Date:

are created by pressing "Add Default".

Install the syntax file

When the file is finished and you want to install it in RJ TextEd, follow these steps below.

Alt. 1
1. Save the file to disk. In RJ TextEd select <Environment->Install New->Language files> in the menus. Select your file and the options dialog is opened.

Alt. 2
1. Save the syntax file in the
C:\Documents and Settings\(user)\Application Data\RJ TextEd\Syntax folder, or in Vista
C:\Users\(user)\AppData\Roaming\RJ TextEd\Syntax folder.

Or in the non-install version

<Prog dir>\Syntax folder.

2. Now it can be added in the "Manage Highlighters" sections in the options dialog. Press "New" to open a wizard. Enter a name for the syntax style, e.g. Cpp, and add some file extensions, e.g. *.cpp|*.h.

After successful testing please send it to me and I will put it on the homepage.


Document object
 Previous Top Next
The document object let you get access to the current document. All you have to do is to type "Document." and all the properties and methods available are listed in a listbox. They are also listed below.

Properties

CanRedo

Syntax
CanRedo: Boolean (read-only)

Description
True if changes can be re-done.

CanUndo

Syntax
CanUndo: Boolean (read-only)

Description
True if changes can be undone.

CursorX

Syntax
CursorX: Integer

Description
Get or set the text cursor character position starting with 0.

CursorY

Syntax
CursorY: Integer

Description
Get or set the text cursor line position starting with 0.

FileName

Syntax
FileName: WideString (read-only)

Description
Get the file name and complete path of the current document.

LineCount

Syntax
LineCount: Integer (read-only)

Description
Number of lines in the document.

Lines

Syntax
Lines(Index: Integer): WideString

Description
Get or set the text of the line at the pasted index.

Modified

Syntax
Modified: Boolean (read-only)

Description
True if the document has changed since it was last saved.

SelLength

Syntax
SelLength: Integer

Description
Get or set the length of the current selection.

SelStart

Syntax
SelStart: Integer

Description
Get or set the start of the current selection.

SelText

Syntax
SelText: WideString

Description
Get or set the text in the current selection.

Example
// PascalScript
var
w: WideString;
begin
Document.CursorLineStart(false); // Move cursor to the beginning of the line
Document.CursorWordRight(true); // Select the first word
w := Document.SelText; // Get the selected word
...
end.

Text

Syntax
Text: WideString

Description
Get or set the document text.

Wordwrap

Syntax
Wordwrap: Boolean

Description
Get or set wordwrap mode. Could be used at the beginning of a script to ensure that the document is not word wrapped.

Methods

BeginUpdate

Syntax
BeginUpdate()

Description
Turn off screen updating for the current document. To turn it on again, use EndUpdate().

Clear

Syntax
Clear()

Description
Clear the current document.

Close

Syntax
Close(): Boolean

Description
Close the current document. The user may be prompted to save the document first. When the document is closed, the function returns true. Otherwise false.

CursorLeft, CursorRight, CursorWordLeft, CursorWordRight, CursorDown, CursorUp, CursorPageDown, CursorPageUp, CursorDocStart, CursorDocEnd, CursorLineStart, CursorLineEnd

Syntax
Cursor...(bSelect: Boolean)

Description
Position the cursor. If bSelect is True then the current selection is extended to the new position.

Example
Document.CursorLineStart(False);
Document.CursorLineEnd(True); // Move the cursor to the end of line and select from the previous position.

DeleteBlankLines

Syntax
DeleteBlankLines()

Description
Delete all blank lines in a selection.

DuplicateLineNTimes

Syntax
DuplicateLineNTimes(const nr: Integer)

Description
Duplicate the current line nr times.

EndUpdate

Syntax
EndUpdate()

Description
Turn on screen updating for the current document and update and refresh the display.

FoldAll

Syntax
FoldAll()

Description
Fold all foldable sections in the text.

FoldNode

Syntax
FoldNode()

Description
Fold the nearest foldable section in the text.

FoldRegion

Syntax
FoldRegion()

Description
Fold the nearest foldable region in the text.

GetMethodAtCursor

Syntax
GetMethodAtCursor(bSelect: Boolean): WideString

Description
Return the method in which the cursor is currently located in. Select it by setting bSelect to True. Returns False if no method is found.

GetTagAtCursor

Syntax
GetTagAtCursor(bSelect: Boolean): WideString;

Description
Return the tag in which the cursor is currently located in. The method returns False if a tag could not be found at the cursor.

Set bSelect to True in order to select the tag.

GotoNextEndTag

Syntax
GotoNextEndTag(bSelect: Boolean): Boolean

Description
Move the cursor to the next end tag. Select it by setting bSelect to True. Returns False if no tag is found.

GotoNextMethod

Syntax
GotoNextMethod(bSelect: Boolean): Boolean

Description
Move the cursor to the next method. Select it by setting bSelect to True. Returns False if no method is found.

GotoNextStartTag

Syntax
GotoNextStartTag(bSelect: Boolean): Boolean

Description
Move the cursor to the next start tag. Select it by setting bSelect to True. Returns False if no tag is found.

GotoPreviousEndTag

Syntax
GotoPreviousEndTag(bSelect: Boolean): Boolean

Description
Move the cursor to the previous end tag. Select it by setting bSelect to True. Returns False if no tag is found.

GotoPreviousMethod

Syntax
GotoPreviousMethod(bSelect: Boolean; bSkipCurrentMethod: Boolean): Boolean

Description
Move the cursor to the previous method. Select it by setting bSelect to True. Set bSkipCurrentMethod to True if you don't want to stop at the top of the current method. Returns False if no method is found.

GotoPreviousStartTag

Syntax
GotoPreviousStartTag(bSelect: Boolean): Boolean

Description
Move the cursor to the previous start tag. Select it by setting bSelect to True. Returns False if no tag is found.

HighlightText

Syntax
HighlightText(const wsText: WideString; const bWords: Boolean = True)

Description
Highlight all occurrences of the text given in the argument. E.g. if you enter HighlightText('Dummy'); all instances of "Dummy" in the text will be highlighted. If the word flag is true, only whole words are highlighted. Otherwise the selected text is highlighted.
Words are highlighted with a red background, selections with a green background.

Indent

Syntax
Indent()

Description
Indents the current selection or insert a tab.

InsertTag

Syntax
InsertTag(sStartTag, sEndTag: WideString)

Description
Inserts the passed start and end tags at the current cursor position.

Example
Document.CursorDocEnd(False);
Document.InsertTag('<a href="http://www.rj-texted.se">', '</a>');

InsertText

Syntax
InsertText(wStr: WideString)

Description
Inserts the passed text at the current cursor position.

JoinLines

Syntax
JoinLines()

Description
Join selected lines into one line. If no selection is made, the current and the next lines are joined.

LastSavedDate

Syntax
LastSavedDate(): TDateTime

Description
Return the datetime value for the last save of the current document.

MoveLinesDown

Syntax
MoveLinesDown()

Description
Move the current line, or selection, downwards in the text.

MoveLinesUp

Syntax
MoveLinesUp()

Description
Move the current line, or selection, upwards in the text.

Print

Syntax
Print(bPrompt: Boolean)

Description
Prints the current document. If bPrompt is set to True, the user is prompted for print settings.

Redo

Syntax
Redo()

Description
Perform a redo operation.

Reload

Syntax
Reload(bPromptToSave: Boolean)

Description
Reloads the current document. Prompts the user to save if bPromptToSave is True.

ReplaceAll

Syntax
ReplaceAll(sFind, sReplace: WideString; bMatchCase, bWholeWords, bRegExp: Boolean): Integer

Description
Replace all found strings. Returns the number of replaced strings.

Save

Syntax
Save(): Boolean

Description
Saves the current document. Returns true if successful.

SaveAs

Syntax
SaveAs(sFileName: WideString): Boolean

Description
Save the current document to the file specified by sFileName. Returns true if successful.

SaveAsNoMRU

Syntax
SaveAsNoMRU(sFileName: WideString): Boolean

Description
Save the current document to the file specified by sFileName. The file will not show up in the list of recently opened files. Returns true if successful.

SelectAll

Syntax
SelectAll()

Description
Selects all text in the current document.

SelectCurrentLine

Syntax
SelectCurrentLine()

Description
Select the current line.

SelectLine

Syntax
SelectLine(Index: Integer)

Description
Select the passed line.

SplitLines

Syntax
SplitLines()

Description
Split the current line, or lines in a selection, at the word wrap margin.

Undo

Syntax
Undo()

Description
Perform an undo operation.

UnfoldAll

Syntax
UnfoldAll()

Description
Unfold all foldable sections in the text.

UnfoldNode

Syntax
UnfoldNode()

Description
Unfold the nearest foldable section in the text.

UnfoldRegion

Syntax
UnfoldRegion()

Description
Unfold the nearest foldable region in the text.

UnhighlightText

Syntax
UnhighlightText(const wsText: WideString; const bWords: Boolean = True)

Description
Unhighlight the given text. If the wsText argument is empty all highlighted text is unhighlighted. You can either cancel highlighting of words or selected text.

Unindent

Syntax
Unindent()

Description
Remove the indent in the current selection.


MainApp object
 Previous Top Next
The mainapp object let you get access to some properties and methods used in the main application. All you have to do is to type "MainApp." and all the properties and methods available are listed in a listbox. They are also listed below.

Properties

AppPath

Syntax
AppPath: WideString (read-only)

Description
Path to the folder where the main program and tools are located.

AppDataPath

Syntax
AppDataPath: WideString (read-only)

Description
Path to the application data folder.

Example

var
sz: WideString;
begin
sz := MainApp.AppDataPath + '\Syntax\PHP.syx';
MainApp.OpenFile(sz);
...
end.

CurrentFolder

Syntax
CurrentFolder: WideString

Description
Path displayed in the sidebar explorer.

Example

MainApp.CurrentFolder := 'C:\\MyFolder';

CurrentView

Syntax
CurrentView: Integer

Description
Set or get the current view.

You can use the folloing values:

1 - Home
2 - Editor
3 - IE Preview
4 - Firefox Preview
5 - File Commander

DocumentCount

Syntax
DocumentCount: Integer (read-only)

Description
Get the number of open documents.

DocumentIndex

Syntax
DocumentIndex: Integer

Description
Get the tab index of the current document or change the tab index to set another document to be the current.

ExeName

Syntax
ExeName: WideString (read-only)

Description
Get the file name of the main program, including path..

Height

Syntax
Height: Integer

Description
Height of the main window in pixels.

HInstance

Syntax
HInstance: Integer (read-only)

Description
Instance handle of the application.

hWnd

Syntax
hWnd: Integer (read-only)

Description
Handle to the main window.

Left

Syntax
Left: Integer

Description
Left coordinate of the main window.

Top

Syntax
Top: Integer

Description
Top coordinate of the main window.

Width

Syntax
Width: Integer

Description
Width of the main window in pixels.

WindowState

Syntax
WindowState: Integer

Description
Get or set the main window state.

You can use the following values:

0 - Normal
1 - Minimized
2 - Maximized

Methods

BringToFront

Syntax
BringToFront()

Description
Bring the main window to the front.

ClearMessageText

Syntax
ClearMessageText()

Description
Clear the text in the message field in the bottom bar.

CloseAll

Syntax
CloseAll(): Boolean

Description
Close all open documents. Return true if successful.

GetCurrentLanguageFileName

Syntax
GetCurrentlanguageFileName(): WideString

Description
Get the name of the currently used language file e.g. "eng.ini".

InputBox

Syntax
InputBox(const wsCaptions, wsPrompt: WideString): WideString

Description
Display a dialog box to obtain user input.

Example

var
s: WideString;
begin
s := InputBox('Name', 'Enter a user name:');
...
end.

NewDocument

Syntax
NewDocument(sFileExt: String)

Description
Create a new document.

Valid sFileExt could be:

.asp
.aspx
.php
.html
.css
.txt
...

An empty string will open a normal text file with no syntax highlighting.

NextDoc

Syntax
NextDoc()

Description
Move to the next document tab. Moves to the first tab if the last tab is showing.

OpenFile

Syntax
OpenFile(const wsFile: WideString; [const bReadOnly: Boolean]): Boolean

Description
Open the passed file. If the passed string is empty a file dialog is opened. Returns true if the file opens or is already opened. The bReadOnly parameter is optional and will always be False, if not set. Set bReadOnly to open the file in read-only mode.

PreviousDoc

Syntax
PreviousDoc()

Description
Move to the previous document tab. Moves to the last tab if the first tab is showing.

Quit

Syntax
Quit()

Description
Quit the program. The user will be prompted to save any unsaved documents.

RunApp

Syntax
RunApp(const wsFile, wsParam: WideString; bOutput, bMinimized: Boolean): Boolean

Description
Execute an external application. You can include a file name (with path) and a parameter. Set bOutput to true in order to get the output from the program in the message view and bMinimized if you want the application to start minimized.

Example

MainApp.RunApp('c:\Windows\notepad.exe', Document.FileName, False, False); // Open the current document in notepad

RunAppAndWait

Syntax
RunAppAndWait(const wsFile, wsParam: WideString; bOutput, bMinimized: Boolean)

Description
Execute an external application and wait for it to finish. You can include a file name (with path) and a parameter. Set bOutput to true in order to get the output from the program in the message view and bMinimized if you want the application to start minimized.

Example

begin
MainApp.RunAppAndWait('c:\Windows\notepad.exe', Document.FileName, False, False); // Open the current document in notepad and wait
Document.Reload(False);
end.

RunAppAndWaitF

Syntax
RunAppAndWaitF(const wsFile, wsParam, wsOutputFile: WideString; bMinimized: Boolean)

Description
Execute an external application and wait for it to finish. You can include a file name (with path) and a parameter. Set wsOutputFile to direct the output from the program to a file and bMinimized if you want the application to start minimized.

SaveAll

Syntax
SaveAll(): Boolean

Description
Save all documents. Returns true if successful.

SendToBack

Syntax
SendToBack()

Description
Send the main window to the back.

SetMessageText

Syntax
SetMessageText(const wsText: WideString; [const bAppend: Boolean = False])

Description
Display text in the message field in the bottom bar. The bAppend argument is optional and defaults to False. If you set bAppend to True, the text will be appended to the already displayed text in the message field.

SetStatusText

Syntax
SetStatusText(wsMessage: WideString)

Description
Set the text to be displayed in the status area.

Wait

Syntax
Wait(nMilliseconds: Integer)

Description
Pause for given number of milliseconds. Use wait to enable scripts to execute loops and still allow access to the UI. Without the call to Wait in the loop, the application appears locked and the user cannot change views.

Example

begin
...
while MainApp.CurrentView = 2 do
MainApp.Wait(100);
// Do something when the view has changed
...
end.


Script structure
 Previous Top Next
The PascalScript structure is the same as in Object Pascal language:

#language PascalScript // this is optional
program MyProgram;     // this is optional

uses 'unit1.pas', 'unit2.pas';  // Optional. Uses section - must be before any other sections

var                    // Var section
  i, j: Integer;

const                  // Const section
  pi = 3.14159;

function p1(n: Integer): Integer;    // Procedures and functions
var
  i: Integer;                        // Nested procedures are possible
begin
  ...
  Result := i+n;
end;

// Main procedure that will be executed when you run the script.
begin
  for i := 0 to 10 do
  begin
    j := p1(i);
    ...
  end;
end.

The C++Script structure is:

#language C++Script    // this is optional
#include "unit1.cpp", "unit2.cpp"

int i, j;              // var section

#DEFINE pi = 3.14159   // const section

void p1()              // procedures and function
{
  ...                  // there is no nested procedures in C++Script
}

// Main procedure that will be executed when you run the script.
{
  ...
}

The JScript structure is:

#language JScript      // this is optional
import "unit1.js", "unit2.js"
// import section - must be before any other sections

var i, j = 0;          // var section

function p1()          // procedures and function
{
  ...
}

// Main procedure that will be executed when you run the script.
p1();
for (i = 0; i < 10; i++) j++;

The BasicScript structure is:

#language BasicScript  'this is optional
imports "unit1.vb", "unit2.vb"
'Imports section - must be before any other sections

dim i, j = 0           ' var section

function f1()          ' procedures and function
  'My function code
  ...
end function

sub p1()
  'My sub code
  ...
end sub

'Main procedure that will be executed when you run the script.
for i = 0 to 10
  p1()
next


Data types
 Previous Top Next
Internally FastScript operates with the Variant type and is based on it. Nevertheless, you can use the following predetermined types in your scripts:

Byte | Same as Integer type
Word |
Integer |
Longint |
Cardinal |
TColor |

Boolean | Boolean type

Real | Same as Extended type
Single |
Double |
Extended |
TDate |
TTime |
TDateTime |

Char | Char type

String | String type

Variant | Same as Variant type
Pointer |
WideString |

Array | Array type

C++Script maps some types to standard types:

int, long = Integer
void = Integer
bool = Boolean
float = Extended

JScript has no types, all types are variants. BasicScript may have types (for example, dim i as Integer), or may have no types and even no variable declaration. In this case a variable will have Variant type.


Functions
 Previous Top Next
There is a rich set of standard functions that can be used in a script.

function IntToStr(i: Integer): String
function FloatToStr(e: Extended): String
function DateToStr(e: Extended): String
function TimeToStr(e: Extended): String
function DateTimeToStr(e: Extended): String
function VarToStr(v: Variant): String

function StrToInt(s: String): Integer
function StrToFloat(s: String): Extended
function StrToDate(s: String): Extended
function StrToTime(s: String): Extended
function StrToDateTime(s: String): Extended

function Format(Fmt: String; Args: array): String
function FormatFloat(Fmt: String; Value: Extended): String
function FormatDateTime(Fmt: String; DateTime: TDateTime): String
function FormatMaskText(EditMask: string; Value: string): string

function EncodeDate(Year, Month, Day: Word): TDateTime
procedure DecodeDate(Date: TDateTime; var Year, Month, Day: Word)
function EncodeTime(Hour, Min, Sec, MSec: Word): TDateTime
procedure DecodeTime(Time: TDateTime; var Hour, Min, Sec, MSec: Word)
function Date: TDateTime
function Time: TDateTime
function Now: TDateTime
function DayOfWeek(aDate: DateTime): Integer
function IsLeapYear(Year: Word): Boolean
function DaysInMonth(nYear, nMonth: Integer): Integer

function Length(s: String): Integer
function Copy(s: String; from, count: Integer): String
function Pos(substr, s: String): Integer
procedure Delete(var s: String; from, count: Integer): String
procedure Insert(s: String; var s2: String; pos: Integer): String
function Uppercase(s: String): String
function Lowercase(s: String): String
function Trim(s: String): String
function NameCase(s: String): String
function CompareText(s, s1: String): Integer
function Chr(i: Integer): Char
function Ord(ch: Char): Integer
procedure SetLength(var S: String; L: Integer)

function Round(e: Extended): Integer
function Trunc(e: Extended): Integer
function Int(e: Extended): Integer
function Frac(X: Extended): Extended
function Sqrt(e: Extended): Extended
function Abs(e: Extended): Extended
function Sin(e: Extended): Extended
function Cos(e: Extended): Extended
function ArcTan(X: Extended): Extended
function Tan(X: Extended): Extended
function Exp(X: Extended): Extended
function Ln(X: Extended): Extended
function Pi: Extended

procedure Inc(var i: Integer; incr: Integer = 1)
procedure Dec(var i: Integer; decr: Integer = 1)
procedure RaiseException(Param: String)
procedure ShowMessage(Msg: Variant)
procedure Randomize
function Random: Extended
function ValidInt(cInt: String): Boolean
function ValidFloat(cFlt: String): Boolean
function ValidDate(cDate: String): Boolean
function CreateOleObject(ClassName: String): Variant
function VarArrayCreate(Bounds: Array; Typ: Integer): Variant

As you can see, some functions/procedure have default parameters. E.g.

Inc(a);     // Increase variable a by 1. The number 1 is a default parameter.
Inc(b, 2);  // Increase b with 2


Classes
 Previous Top
In the script editor there is a tree to the right that list several classes. All the classes can be used in a script. This small example demonstrate how classes can be used. You can copy and paste it into the script editor and run it from there. And, as you can see, it's a pascal script.

var
  f: TForm;
  b: TButton;

// Executed when the user click on the button
procedure ButtonClick(Sender: TButton);
begin
  ShowMessage(Sender.Name);
  f.ModalResult := mrOk;
end;

// Executed when the user move the mouse over the button
procedure ButtonMouseMove(Sender: TButton);
begin
  b.Caption := 'Moved over';
end;

// Main procedure
begin
  // Create a dialog and set the caption to "Test it!"
  f := TForm.Create(nil);
  f.Caption := 'Test it!';
  f.BorderStyle := bsDialog;
  f.Position := poScreenCenter;

  // Add a button to the dialog
  b := TButton.Create(f);
  b.Name := 'Button1';
  b.Parent := f;
  b.SetBounds(10, 10, 85, 25);
  b.Caption := 'Test';

  // Set event handlers to point to the procedures above
  b.OnClick := @ButtonClick;  { same as b.OnClick := 'ButtonClick' }
  b.OnMouseMove := @ButtonMouseMove;

  // Show the dialog
  f.ShowModal;
  f.Free;
end.

Classes and there properties, methods and event handlers.
Class names are in bold and the inherited class within braces.

Classes.pas

TObject
constructor TObject.Create
procedure TObject.Free

TPersistent (TObject)
procedure TPersistent.Assign(Source: TPersistent)

TList (TObject)
function TList.Add(Item: TObject): Integer
procedure TList.Clear
procedure TList.Delete(Index: Integer)
function TList.IndexOf(Item: TObject): Integer
procedure TList.Insert(Index: Integer; Item: TObject)
function TList.Remove(Item: TObject): Integer
property TList.Count
property TList.Items

TStrings (TPersistant)
function TStrings.Add(const S: string): Integer
function TStrings.AddObject(const S: string; AObject: TObject): Integer
procedure TStrings.Clear
procedure TStrings.Delete(Index: Integer)
function TStrings.IndexOf(const S: string): Integer
function TStrings.IndexOfName(const Name: string): Integer
function TStrings.IndexOfObject(AObject: TObject): Integer
procedure TStrings.Insert(Index: Integer; const S: string)
procedure TStrings.InsertObject(Index: Integer; const S: string; AObject: TObject)
procedure TStrings.LoadFromFile(const FileName: string)
procedure TStrings.LoadFromStream(Stream: TStream)
procedure TStrings.SaveToFile(const FileName: string)
procedure TStrings.SaveToStream(Stream: TStream)
property TStrings.CommaText
property TStrings.Count
property TStrings.Names
property TStrings.Objects
property TStrings.Values
property TStrings.Strings
property TStrings.Text

TStringList (TStrings)
function TStringList.Find(s: String; var Index: Integer): Boolean
procedure TStringList.Sort
property TStringList.Duplicates
property TStringList.Sorted

TStream (TObject)
function TStream.Read(Buffer: string; Count: Longint): Longint
function TStream.Write(Buffer: string; Count: Longint): Longint
function TStream.Seek(Offset: Longint; Origin: Word): Longint
function TStream.CopyFrom(Source: TStream; Count: Longint): Longint
property TStream.Position
property TStream.Size

TFileStream (TStream)
constructor TFileStream.Create(Filename: String; Mode: Word)

TMemoryStream (TStream)
procedure TMemoryStream.Clear
procedure TMemoryStream.LoadFromStream(Stream: TStream)
procedure TMemoryStream.LoadFromFile(Filename: String)
procedure TMemoryStream.SaveToStream(Stream: TStream)
procedure TMemoryStream.SaveToFile(Filename: String)

TComponent (TPersistant)
constructor TComponent.Create(AOwner: TComponent)
property TComponent.Owner

TfsXMLItem
constructor TfsXMLItem.Create
procedure TfsXMLItem.AddItem(Item: TfsXMLItem)
procedure TfsXMLItem.Clear
procedure TfsXMLItem.InsertItem(Index: Integer; Item: TfsXMLItem)
function TfsXMLItem.Add: TfsXMLItem
function TfsXMLItem.Find(const Name: String): Integer
function TfsXMLItem.FindItem(const Name: String): TfsXMLItem
function TfsXMLItem.Prop(const Name: String): String
function TfsXMLItem.Root: TfsXMLItem
property TfsXMLItem.Data
property TfsXMLItem.Count
property TfsXMLItem.Items
property TfsXMLItem.Name
property TfsXMLItem.Parent
property TfsXMLItem.Text

TfsXMLDocument
constructor TfsXMLDocument.Create
procedure TfsXMLDocument.SaveToStream(Stream: TStream)
procedure TfsXMLDocument.LoadFromStream(Stream: TStream)
procedure TfsXMLDocument.SaveToFile(const FileName: String)
procedure TfsXMLDocument.LoadFromFile(const FileName: String)
property TfsXMLDocument.Root

const fmCreate
const fmOpenRead
const fmOpenWrite
const fmOpenReadWrite
const fmShareExclusive
const fmShareDenyWrite
const fmShareDenyNone
const soFromBeginning
const soFromCurrent
const soFromEnd
type TDuplicates

Graphics.pas

TFont
TPen
TBrush
TCanvas (TPersistant)
procedure TCanvas.Draw(X, Y: Integer; Graphic: TGraphic)
procedure TCanvas.Ellipse(X1, Y1, X2, Y2: Integer)
procedure TCanvas.LineTo(X, Y: Integer)
procedure TCanvas.MoveTo(X, Y: Integer)
procedure TCanvas.Rectangle(X1, Y1, X2, Y2: Integer)
procedure TCanvas.RoundRect(X1, Y1, X2, Y2, X3, Y3: Integer)
procedure TCanvas.StretchDraw(X1, Y1, X2, Y2: Integer; Graphic: TGraphic)
function TCanvas.TextHeight(const Text: string): Integer
procedure TCanvas.TextOut(X, Y: Integer; const Text: string)
function TCanvas.TextWidth(const Text: string): Integer
property TCanvas.Pixels

TGraphic (TPersistant)
procedure TGraphic.LoadFromFile(const Filename: string)
procedure TGraphic.SaveToFile(const Filename: string)
property TGraphic.Height
property TGraphic.Width

TMetafile
TMetafileCanvas
TBitmap (TGraphic)
property TBitmap.Canvas

type TFontStyles
type TFontPitch
type TPenStyle
type TPenMode
type TBrushStyle

StdCtrls.pas and Forms.pas (Classes inherit methods from the classes above them. E.g. TMemo inherit TWinControl and TControl)

TControl (TPersistant)
property TControl.Parent
procedure TControl.Hide
procedure TControl.Show
procedure TControl.SetBounds(ALeft, ATop, AWidth, AHeight: Integer)
event TControl.OnCanResize
event TControl.OnClick
event TControl.OnDblClick
event TControl.OnMouseDown
event TControl.OnMouseMove
event TControl.OnMouseUp
event TControl.OnResize

TWinControl (TControl)
procedure TWinControl.SetFocus
event TWinControl.OnEnter
event TWinControl.OnExit
event TWinControl.OnKeyDown
event TWinControl.OnKeyPress
event TWinControl.OnKeyUp

TCustomControl
TGraphicControl
TGroupBox
TLabel
TEdit
TMemo (TWinControl)

TCustomComboBox (TWinControl)
property TCustomComboBox.DroppedDown
property TCustomComboBox.ItemIndex

TComboBox
TButton
TCheckBox
TRadioButton (TWinControl)

TCustomListBox (TWinControl)
property TCustomListBox.ItemIndex
property TCustomListBox.SelCount
property TCustomListBox.Selected

TListBox
TControlScrollBar
TScrollingWinControl
TScrollBox (TWinControl)

TCustomForm (TWinControl)
procedure TCustomForm.Close
procedure TCustomForm.Hide
procedure TCustomForm.Show
function TCustomForm.ShowModal: Integer
event TCustomForm.OnActivate
event TCustomForm.OnClose
event TCustomForm.OnCloseQuery
event TCustomForm.OnCreate
event TCustomForm.OnDestroy
event TCustomForm.OnDeactivate
event TCustomForm.OnHide
event TCustomForm.OnPaint
event TCustomForm.OnShow
property TCustomForm.ModalResult

TForm (TCustomForm)

type TModalResult
type TCursor
type TShiftState
type TAlignment
type TAlign
type TMouseButton
type TAnchors
type TBevelCut
type TTextLayout
type TEditCharCase
type TScrollStyle
type TComboBoxStyle
type TCheckBoxState
type TListBoxStyle
type TFormBorderStyle
type TWindowState
type TFormStyle
type TBorderIcons
type TPosition
type TCloseAction

ExtCtrls.pas

TShape (TControl)

TPaintBox (TControl)
event TPaintBox.OnPaint

TImage
TBevel (TControl)

TTimer (TComponent)
event TTimer.OnTimer

TPanel
TSplitter
TBitBtn
TSpeedButton (TWinControl)

TCheckListBox (TWinControl)
property TCheckListBox.Checked

TTabControl
TTabSheet (TWinControl)

TPageControl (TWinControl)
procedure TPageControl.SelectNextPage(GoForward: Boolean)
property TPageControl.PageCount
property TPageControl.Pages

TStatusPanel (TPersistant)

TStatusPanels (TPersistant)
function TStatusPanels.Add: TStatusPanel
property TStatusPanels.Items

TStatusBar (TWinControl)

TTreeNode (TPersistant)
procedure TTreeNode.Delete
function TTreeNode.EditText: Boolean
property TTreeNode.Count
property TTreeNode.Data
property TTreeNode.ImageIndex
property TTreeNode.SelectedIndex
property TTreeNode.StateIndex
property TTreeNode.Text

TTreeNodes (TPersistant)
function TTreeNodes.Add(Node: TTreeNode; const S: string): TTreeNode
function TTreeNodes.AddChild(Node: TTreeNode; const S: string): TTreeNode
procedure TTreeNodes.BeginUpdate
procedure TTreeNodes.Clear
procedure TTreeNodes.Delete(Node: TTreeNode)
procedure TTreeNodes.EndUpdate
property TTreeNodes.Count
property TTreeNodes.Item

TTreeView (TWinControl)
procedure TTreeView.FullCollapse
procedure TTreeView.FullExpand
property TTreeView.Selected
property TTreeView.TopItem

TTrackBar
TProgressBar
TListColumn (TPersistant)

TListColumns (TPersistant)
function TListColumns.Add: TListColumn
property TListColumns.Items

TListItem (TPersistant)
procedure TListItem.Delete
function TListItem.EditCaption: Boolean
property TListItem.Caption
property TListItem.Checked
property TListItem.Data
property TListItem.ImageIndex
property TListItem.Selected
property TListItem.StateIndex
property TListItem.SubItems

TListItems (TPersistant)
function TListItems.Add: TListItem
procedure TListItems.BeginUpdate
procedure TListItems.Clear
procedure TListItems.Delete(Index: Integer)
procedure TListItems.EndUpdate
property TListItems.Count
property TListItems.Item

TIconOptions
TListView
TToolButton
TToolBar
TMonthCalColors
TDateTimePicker
TMonthCalendar (TWinControl)

type TShapeType
type TBevelStyle
type TBevelShape
type TResizeStyle
type TButtonLayout
type TButtonState
type TButtonStyle
type TBitBtnKind
type TNumGlyphs
type TTabPosition
type TTabStyle
type TStatusPanelStyle
type TStatusPanelBevel
type TSortType
type TTrackBarOrientation
type TTickMark
type TTickStyle
type TProgressBarOrientation
type TIconArrangement
type TListArrangement
type TViewStyle
type TToolButtonStyle
type TDateTimeKind
type TDTDateMode
type TDTDateFormat
type TDTCalAlignment
type TCalDayOfWeek

Dialogs.pas

TCommonDialog (TComponent)
function TCommonDialog.Execute: Boolean

TOpenDialog
TSaveDialog
TColorDialog
TFontDialog
TPrintDialog
TPrinterSetupDialog (TCommonDialog)

type TOpenOptions
type TFileEditStyle
type TColorDialogOptions
type TFontDialogOptions
type TFontDialogDevice
type TPrintRange
type TPrintDialogOptions

DB.pas

TField (TComponent)
property TField.AsBoolean
property TField.AsCurrency
property TField.AsDateTime
property TField.AsFloat
property TField.AsInteger
property TField.AsDate
property TField.AsTime
property TField.AsString
property TField.AsVariant
property TField.DataType
property TField.DisplayName
property TField.DisplayText
property TField.IsNull
property TField.Size
property TField.Value

TFields (TObject)
property TFields.Fields

TStringField
TNumericField
TIntegerField
TSmallIntField
TWordField
TAutoIncField
TFloatField
TCurrencyField
TBooleanField
TDateTimeField
TDateField
TTimeField
TBinaryField
TBytesField
TVarBytesField
TBCDField (TField)

TBlobField (TField)
procedure TBlobField.LoadFromFile(const FileName: String)
procedure TBlobField.LoadFromStream(Stream: TStream)
procedure TBlobField.SaveToFile(const FileName: String)
procedure TBlobField.SaveToStream(Stream: TStream)

TMemoField
TGraphicField
TFieldDef
TFieldDefs (TBlobField)
property TFieldDefs.Items

TDataSource (TComponent)
type TBookmark

TDataSet (TComponent)
procedure TDataSet.Open
procedure TDataSet.Close
procedure TDataSet.First
procedure TDataSet.Last
procedure TDataSet.Next
procedure TDataSet.Prior
procedure TDataSet.Cancel
procedure TDataSet.Delete
procedure TDataSet.Post
procedure TDataSet.Append
procedure TDataSet.Insert
procedure TDataSet.Edit
function TDataSet.FieldByName(const FieldName: string): TField
procedure TDataSet.GetFieldNames(List: TStrings)
function TDataSet.FindFirst: Boolean
function TDataSet.FindLast: Boolean
function TDataSet.FindNext: Boolean
function TDataSet.FindPrior: Boolean
procedure TDataSet.FreeBookmark(Bookmark: TBookmark)
function TDataSet.GetBookmark: TBookmark
procedure TDataSet.GotoBookmark(Bookmark: TBookmark)
function TDataSet.Locate(const KeyFields: string; const KeyValues: Variant; Options: TLocateOptions): Boolean
function TDataSet.IsEmpty: Boolean
property TDataSet.Bof
property TDataSet.Eof
property TDataSet.FieldCount
property TDataSet.FieldDefs
property TDataSet.Fields
property TDataSet.Filter
property TDataSet.Filtered
property TDataSet.FilterOptions
property TDataSet.Active

TParam (TPersistant)
procedure TParam.Clear
property TParam.Bound
property TParam.IsNull
property TParam.Text
property TParam.AsBoolean
property TParam.AsCurrency
property TParam.AsDateTime
property TParam.AsFloat
property TParam.AsInteger
property TParam.AsDate
property TParam.AsTime
property TParam.AsString
property TParam.AsVariant

TParams (TPersistant)
function TParams.ParamByName(const Value: string): TParam
function TParams.FindParam(const Value: string): TParam
property TParams.Items

type TFieldType
type TBlobStreamMode
type TLocateOptions
type TFilterOptions
type TParamType

DBCtrls.pas

TDBEdit
TDBText
TDBCheckBox (TWinControl)
property TDBCheckBox.Checked

TDBComboBox (TWinControl)
property TDBComboBox.Text

TDBListBox
TDBRadioGroup (TWinControl)
property TDBRadioGroup.ItemIndex
property TDBRadioGroup.Value

TDBMemo
TDBImage
TDBNavigator
TDBLookupControl (TWinControl)
property TDBLookupControl.KeyValue

TDBLookupListBox (TDBLookupControl)
property TDBLookupListBox.SelectedItem

TDBLookupComboBox (TDBLookupControl)
property TDBLookupComboBox.Text

TColumnTitle
TColumn
TDBGridColumns (TPersistant)
function TDBGridColumns.Add: TColumn
property TDBGridColumns.Items

TDBGrid (TWinControl)

type TButtonSet
type TColumnButtonStyle
type TDBGridOptions

BDE

TSession
TDatabase
TBDEDataSet
TDBDataSet
TTable (TComponent)
procedure TTable.CreateTable
procedure TTable.DeleteTable
procedure TTable.EmptyTable
function TTable.FindKey(const KeyValues: array): Boolean
procedure TTable.FindNearest(const KeyValues: array)
procedure TTable.RenameTable(const NewTableName: string)

TQuery (TDBDataSet)
procedure TQuery.ExecSQL
function TQuery.ParamByName(const Value: string): TParam
procedure TQuery.Prepare
property TQuery.ParamCount

TStoredProc (TDBDataSet)
procedure TStoredProc.ExecProc
function TStoredProc.ParamByName(const Value: string): TParam
procedure TStoredProc.Prepare
property TStoredProc.ParamCount

type TTableType
type TParamBindMode

ADO

TADOConnection
TParameter
TParameters (TPersistant)
property TParameters.Items

TCustomADODataSet
TADOTable
TADOQuery (TDataSet)
procedure TADOQuery.ExecSQL

TADOStoredProc (TDataSet)
procedure TADOStoredProc.ExecProc

type TDataType

IBX

TIBDataBase
TIBTransaction
TIBCustomDataSet
TIBTable
TIBQuery
procedure TIBQuery.ExecSQL

TIBStoredProc
procedure TIBStoredProc.ExecProc

TeeChart

TChartValueList
TChartAxisTitle
TChartAxis
TCustomChartLegend
TChartLegend
TSeriesMarks
TChartGradient
TChartWall
TChartBrush
TChartTitle
TChartSeries
procedure TChartSeries.Clear
procedure TChartSeries.Add(const AValue: Double; const ALabel: String; AColor: TColor)

TSeriesPointer
TCustomSeries
TLineSeries
TPointSeries
TAreaSeries
TCustomBarSeries
TBarSeries
THorizBarSeries
TCircledSeries
TPieSeries
TFastLineSeries
TCustomChart
TChart

type TChartValue
type TLegendStyle
type TLegendAlignment
type TLegendTextStyle
type TChartListOrder
type TGradientDirection
type TSeriesMarksStyle
type TAxisLabelStyle
type THorizAxis
type TVertAxis
type TTeeBackImageMode
type TPanningMode
type TSeriesPointerStyle
type TMultiArea
type TMultiBar
type TBarStyle


.topic 3001
If enabled, several highlighters will be used to highlight code in html files. This enables highlighting of html, CSS, JavaScript, VBScript, ASP, PHP, CFScript.

.topic 3002
Enable this to highlight ASP or PHP code in strings.

.topic 3003
Clear the undo/redo buffer when a file is saved. Uncheck this option to enable undo/redo after saving the file.

.topic 3004
Set this to disable drag n drop of selected text.

.topic 3005
Don't move the text cursor to the end of the pasted text. Set this option and the cursor stays at the insertion point.

.topic 3006
Prevent the cursor from moving beyond the end of line. This is the standard for many text editors, including Microsoft editors.

.topic 3007
Don't convert tabs into spaces when the file is opened.

.topic 3008
Insert spaces when the tab key is pressed. Uncheck this option if you want to insert tab characters.

.topic 3009
Keep the indention when you press <enter>.

.topic 3010
Try to align the text cursor to the correct indention point. Can be very useful when editing source code.

.topic 3011
Align the text cursor to the following indention point. This does not always insert tabs, but can sometimes insert spaces.

.topic 3012
Try to preserve the indention when the text is pasted. This will change the behavior of the normal paste operation as well as drag n drop.

.topic 3013
Set C# as your default ASP .NET language.

.topic 3014
Set Visual Basic as your default ASP .NET language.

.topic 3015
Set the syntax files to be used with multiple highlighting. You probably shouldn't change this settings.

.topic 3016
Close braces automatically. Braces can be (), [], ""... This feature is intelligent and tries to close the brace only when you want to.

.topic 3017
Close a structural block automatically. A structural block can be { ... } or begin ... end. Line breaks are inserted and the text cursor is indented.

.topic 3018
Display a hint when hovering over a closed code folding icon. The hint will display some lines from the folded text.

.topic 4001
Remember and open the files that where open in the last session.

.topic 4002
Open associated files in a tab if the program is running. Uncheck to open the files in new windows.

.topic 4003
Display a warning if the document is changed by another program.

.topic 4015
Allow the editor to overwrite and save a read-only file. Even if the file is write protected.

.topic 4004
Word wrap is on when a new document is opened or created.

.topic 4005
Always open a blank document at startup. You can set the default extension and encoding below.

.topic 4006
Set the default file extension for new documents.

.topic 4007
Set the default file encoding for new documents.

.topic 4019
Use a signature (BOM) with new documents if the file encoding is Unicode, e.g. Unicode (UTF-8).

.topic 4008
Detect Unicode encoded files. Even if the signature is missing. It may be able to detect UTF-8, UTF-16 and UTF-16 Big-Endien.

.topic 4009
Detect ANSI code page and Unicode encoded files. Even if the signature is missing. A list may be displayed with several encoding alternatives to select from.

.topic 4010
Use this encoding if no text encoding is detected when opening a file. Usually it should be set to system default, but you can change it to anything you want.

.topic 4011
Fold all collapsible text blocks when the file is opened.

.topic 4012
Fold all collapsible text blocks, except the top level nodes, when the file is opened.

.topic 4013
Fold collapsible nodes inside the opened node. This can make navigation easier if the node has many sub nodes.

.topic 4014
Associate file types with the program.

Windows Vista - Opens a window to handle your file type associations.
.
Windows 2000 / XP - Opens the standard "Folder Options" dialog usually found in the control panel. You can set any association you need in this dialog.
.
Windows 98 / Me - Not available.

.topic 5001
Toggle code folding and region folding on/off. This option enables/disables the code explorer as well.

.topic 5002
Set this if you want block comments to be foldable.

.topic 5003
Set the color of the border around the folded source code.

.topic 5004
Set a delay before the auto completion list appears.

.topic 5005
Toggle the ruler on/off.

.topic 5006
Align editor tabs on multiple rows. If disabled, tabs are aligned on one line.

.topic 5007
Highlight the current row using a different background color.

.topic 5008
Display a border around the current line.

.topic 5009
Highlight braces when the text cursor is next to one. Both the start and end braces are highlighted.

.topic 5026
Highlight html tags when the text cursor is next to one. Both the start and end tags are highlighted.

.topic 5027
Highlight XML tags when the text cursor is next to one. Both the start and end tags are highlighted.

.topic 5024
Highlight fold elements when the text cursor is over one. The color can be set for each syntax type.

.topic 5010
Make the tab characters in the text visible.

.topic 5011
Make the line breaks in the text visible.

.topic 5012
Set the distance where to display a right margin line. The default is 80 characters. To hide the line set the value to zero.

.topic 5013
Word wrap text beyond this column width.

.topic 5014
Set the amount to scroll when the text cursor reaches the window edge.

.topic 5015
Show vertical lines between the top and bottom of the code block. The blocks are the same as for code folding.

.topic 5016
Set a color for one of the indent lines.

.topic 5017
Set a color for one of the indent lines.

.topic 5018
Set a color for one of the indent lines.

.topic 5019
Set colors for the indent guide lines. Three indent line colors can be used.

.topic 5020
Make the space characters in the text visible.

.topic 5021
Select a color for tab, space and line break characters.

.topic 5022
Display the indent lines as dotted.

.topic 5025
Display the indent lines as dashed.

.topic 5023
Some languages don't use space to separate word (e.g. Thai) or is written from right to left (e.g. Arabic). To word wrap such text correctly - check this option.

.topic 5028
Word wrap text at the window edge.

.topic 5029
Word wrap at the right margin line. The line can be moved by a left mouse button click on the ruler.

.topic 5030
Auto complete words as you type. A list is displayed with possible words, taken from the current document.

.topic 5031
Set the width of the text cursor. Default is 1.

.topic 6001
Select a highlighter in order to change its color and text attribute settings.

.topic 6002
Change the text attribute of the selected highlighting element.

.topic 6003
Change the color of the selected highlighting element.

.topic 6004
Select a highlighting element to change its color or text attribute.

.topic 6005
Import settings for the selected highlighter, if available. When you install a new syntax highlighter the settings are imported using a wizard. You will probably never have to use this button.

.topic 6006
Export your current highlighter settings to an external file. This can be useful if you create a new syntax file and wish to publish it with a settings file.

.topic 7001
Select a syntax highlighter in order to make changes to it. You could delete it or add some new file extensions.

.topic 7002
Add a new syntax highlighter. The wizard will guide you through the process.

.topic 7003
Remove a syntax highlighter. This will erase all settings you have made to this highlighter.

.topic 7004
The editor needs to know what file extensions to use to identify the correct highlighter.

.topic 7005
Add a new file extension.

.topic 7006
Remove a file extension from the list.

.topic 7007
Change the syntax file used for highlighting.

.topic 8001
Select a font and size to be used with these type of files.

.topic 8002
Select a font and size to be used with ASCII files.

.topic 8003
Select a font and size to be used with source files.

.topic 8004
Set the maximal tab width. A tab size of 4 equals the width of max 4 space characters.

.topic 8005
Add spacing between lines. The number is given in pixels.

.topic 8008
Select a file type or syntax style. All settings below will affect this file type only.

.topic 8009
Add a new file type to set individual settings for these files.

.topic 8010
Delete the current file type.

.topic 11401
Use the word under the text cursor as text to search for.

.topic 11402
Use find/replace auto completion in the search dialog.

.topic 11403
Continue search from the beginning of file when we reach the end (or end of file when we reach the beginning of file).

.topic 11404
Show a confirmation dialog when we reach an end of file to abort or continue the search.

.topic 11405
Use selected word with "Find next" or "Find previous". This can be very useful if want to search for a word without opening the search dialog.

.topic 11406
Display a detailed result list in the bottom-bar when the search is finished.

.topic 11407
Display a result dialog when the search is finished.

.topic 10408
Highlight all found items in the text when using Find All.

.topic 10409
Highlight all found items in the text. This option is only valid for open documents. When searching a folder or a project, a list with found items will be shown.

.topic 9001
Set this option to show line numbers in the left margin.

.topic 9002
Set the background color of the left margin.

.topic 9003
Set the text color used in the left margin.

.topic 9004
Set if you want the background color of the left margin to be gradient. The start color is set above. The end color is the document background color.

.topic 9005
The left margin line can be invisible (None), dotted or solid.

.topic 9006
Set the color of the left margin line.

.topic 9007
Fold nodes are indicated with an icon in the left margin. There are several to choose from.

.topic 9008
Set to display a line number on every line.

.topic 9009
Highlight changes made on a line with yellow and green bars. Yellow for resent changes and green for saved changes.

.topic 9019
Here are a few presets you could try to change the appearance of the left margin.

.topic 9020
Color of the line change indicator in the left margin. Default color is yellow.

.topic 9021
Color of the line changed and saved indicator. Default color is lime.

.topic 10001
Enable the auto save function to save your documents using a set interval.

.topic 10002
Set this option if you want to be prompted to save new documents.

.topic 10003
Auto save only the current document.

.topic 10004
Set if you want to reset the undo/redo buffer with every save. Usually you want to uncheck this option.

.topic 10005
Set the interval when documents are saved.

.topic 10006
Convert tabs to spaces before saving the document.

.topic 10007
Remove trailing white spaces before saving the document.

.topic 10008
Save cursor position when a document is closed. When the file is reopened, the cursor is positioned at the saved position.

.topic 10009
Save the code fold state when a document is closed and restore the folding state the next time the file is opened.

.topic 10011
Save the position of bookmarks and restore them the next time the file is opened.

.topic 10012
Save the read-only state and restore it the next time the file is opened.

.topic 10010
This number is used to limit the number of files to save cursor and fold status for.

.topic 10013
Backup saved files by adding an .bak extension to the old file.

.topic 10014
Backup automatically saved files by adding an .bak extension to the old file.

.topic 10015
Backup files to a folder.

.topic 10016
Save the current file encoding when the document is closed.

.topic 10101
Select font and size to be used in the hexadecimal editor.

.topic 10102
Set the left margin text color.

.topic 10103
Set the left margin background color.

.topic 10104
Set the left margin selected text color.

.topic 10105
Set the left margin selected background color.

.topic 10106
Set the editor background color.

.topic 10107
Set the color of the odd number columns (first, third...).

.topic 10108
Set the color of the even number columns (second, forth...).

.topic 10109
Set the number of bytes to display in each column.

.topic 10110
Set the number of bytes to display on each row.

.topic 10201
Save the current window size and position at close down. You can also use the menu item "Save layout" in the environment menu.

.topic 10202
Remember the last used dictionary between sessions.

.topic 10203
Show all tabs in the bottom bar. Usually these are hidden.

.topic 10204
Set this option to have the open dialog open up in the same folder as the current document.

.topic 10205
Open the search/replace options in a dialog instead of in the bottom-bar.

.topic 10212
Add templates to the "New" drop down menu. Template files are listed below the file extensions of each syntax type.

.topic 10215
Minimize the program to the system tray. Double click to restore the window.

.topic 10216
Close the program to the system tray. All open files will be closed. Double click to restore the window. Exit the program by using the menu item "File->Exit".

.topic 10206
Use the standard windows open/save dialogs. Works on Windows Vista as well. You will loose some features like the "Favorites" drop down menu and the encoding drop down box is not visible.

.topic 10213
Use the Office 2000 open/save dialogs. You will loose some features like the "Favorites" drop down menu. The encoding drop down box is not visible on Windows Vista.

.topic 10214
Use the internal open/save dialogs. These dialogs have more options and the encoding drop down box is available on all versions of windows.

.topic 10207
Set a path that should be replaced with http://localhost. This option is used with the preview feature and can be useful when you want to preview e.g. PHP files.

.topic 10208
Set the number of recently opened files to display in the menu. Valid numbers are 10 to 30.

.topic 10209
Set the number of recently opened files to display on the start page "Home". Valid numbers are 1 to 10.

.topic 10210
Set this option if you want the editor to minimize when you close the last document.

.topic 10211
Show the open file progress using a progress bar located in the second status field on the status bar. For small files this progress bar is almost invisible, but for large files it can be helpful.

.topic 10217
Show a splash screen at startup.

.topic 10218
Save positions of some dialogs like Find/Replace, Advanced sort and Spell check.

.topic 10301
Set the page margins to use when you print your file.

.topic 10302
Set this option in order to insert information at the top of the pages.

.topic 10303
Draw a line under the header information.

.topic 10304
Select and edit the header data you want to insert to the left.

.topic 10305
Select and edit the header data you want to insert to the center.

.topic 10306
Select and edit the header data you want to insert to the right.

.topic 10307
Set this option in order to insert information at the bottom of the pages.

.topic 10308
Draw a line above the footer.

.topic 10309
Select and edit the footer data you want to insert to the left.

.topic 10310
Select and edit the footer data you want to insert to the center.

.topic 10311
Select and edit the footer data you want to insert to the right.

.topic 10312
Print line numbers in the left margin of your documents.

.topic 10401
Select the font and font size to use in all program menus.

.topic 10402
Use the system font in all program menus.

.topic 10403
Select a menu style to use in all program menus.

.topic 10404
Select the color of the current document tab. The color is gradient. This color is used from the top of the tab.

.topic 10405
Select the color of the current document tab. The color is gradient. This color is used from at the bottom of the tab.

.topic 10406
Show an image in each document tab.

.topic 10407
Display or hide the close button displayed in the document tab. You can display a close button in all tabs, just the active one, or none.

.topic 10410
Set a maximal width for the editor tabs in pixels.

.topic 10501
Select a language in the list and press the "Select" button. The selected language will be used in all dialogs and menus of the program.

.topic 10502
Select a language in the list and press the "Select" button. The selected language should be displayed below.

.topic 10601
Enable skin support. Select a skin to use in the list below.

.topic 10602
Set this option if you don't want to skin the frame and caption of the window.

.topic 10701
Set a path to the internet browser. The browser will appear in the browser button drop down menu, located on the main toolbar. You can use these external browsers to preview your web documents.

.topic 10702
Enter a name for this internet browser.

.topic 10703
Set a path to an external text compare tool e.g. WinMerge. Use the menu items in "Tools" menu or the document tab menu to run a text comparison.

.topic 10801
Add a new tool item in the "Tools" menu. A tool can be an executable file, a help file or a script.

.topic 10802
Remove a selected tool from the list.

.topic 10803
Edit the tool settings.

.topic 10804
Move the tool name up or down in the list. The tools are displayed in the same order in the "Tools" menu.

.topic 10805
Assign a keyboard shortcut to the tool. Press a keyboard combination and click "Assign".

.topic 10806
Remove the keyboard shortcut for this tool.

.topic 10807
Check this option to add a button to the Quickbar toolbar on the "General" tab.

.topic 10808
Check this option to add a button to the editor toolbar.

.topic 10851
Select the tool type. Executable, html help file or script. Html files are opened with KeyHH.exe which should be in your windows folder.

.topic 10852
Enter the name that will be displayed in the tools menu.

.topic 10853
The file you wish to execute.

.topic 10854
Set the initial dir. A file given as an argument should have a path relative to the initial dir.

.topic 10855
Argument passed to the command. This can be entered manually. There are several options in the drop down menu.

.topic 10856
Use this option to capture the output of the command. The output is displayed in the bottom-bar.

.topic 10857
Use this option if the command makes changes to the current file and you wish to open it after the alteration.

.topic 10858
Save all modified files before running the tool. This is important if the tool makes any changes to any open file.

.topic 10859
Don't warn if files have been modified before running the tool. Use this option if the tool do not make any changes to the opened files.

.topic 10860
Display a warning if a file has been modified before running the tool. You are given the choice to save the file before proceeding.

.topic 10861
The tool output may hold some information like line numbers and columns. Here you can enter a formatting string to enable the editor to retrieve this information. You can use * as wildcard and the variables %F - filename, %L - line, %C - column.
E.g. you may have an output line like:
   line 1235 column 12 : ERROR: <some info>
The formatting string should be:
   line &L column %C. You can also use %F for file name and it is possible to use the asterisk (*) as a wildcard.

.topic 10862
Enter a sub menu to place this tool in. The sub menu is displayed in the tools menu.

.topic 10863
Set this option to run the command in the background. The output will be directed to the message view in the bottom bar. To close down the tool, run it again.

.topic 10864
Save the current file if it has been modified before running the tool. This is important if the tool makes any changes to the file.

.topic 11001
Select a printer device from the list.

.topic 11002
Open the standard printer setup dialog.

.topic 11003
Print the entire document.

.topic 11004
Only print the pages submitted in the edit boxes to the right.

.topic 11005
Print the selected text only.

.topic 11006
Print pages starting with this page.

.topic 11007
Print pages ending with this page.

.topic 11008
Print the text syntax highlighted.

.topic 11009
Wrap text if the lines extend the right margin.

.topic 11010
Open the options dialog found in the environment menu. Set margins, header and footer text.

.topic 11011
Print all open files in the editor.

.topic 11200
Separate command and values with tab characters. String or character values should be inclosed with ", e.g. "a". Long strings can contains line breaks. E.g. "String 1"[CRLF]"String 2"[CRLF]"String 3".

.topic 11201
This is a list of available commands. Use [CRLF] for line break with mEditInsertString. E.g. mEditInsertString    "string1"[CRLF]"string2"[CRLF].

.topic 11300
Enter a name for this profile

.topic 11301
Enter the FTP address to connect to

.topic 11302
Enter a user name. This is usually required to login to the server.

.topic 11303
Enter a password in order to login to the server. If this field is empty, you will be asked to enter a password everytime you connect to the server.

.topic 11304
Open this remote folder when connecting to the server.

.topic 11305
Open this local folder when connecting to the server.

.topic 11310
Select a server type. Normal unencrypted connection (FTP), encrypted connection (FTP/SSL) or normal connection through a SSH tunnel (SFTP/SSH).

.topic 11311
Use "fast path" connections for traversing firewalls and network address translators (NAT). This can enhance the performance of data transfers when the FTP EPSV command is supported on the server

.topic 11312
Use Internet Protocol version 6. Otherwise IPv4 is used.

.topic 11313
Let the server listen for the client to connect when transferring data. You can try changing this option if you are using a proxy server and can't transfer data to or from the FTP server.

.topic 11319
Set this option to display the "last modified date/time" in the remote FTP folder list. Note! Changing folders may be slow with this option set.

.topic 11314
If the connection fails you can select to try again. Enter the number of times the FTP Client should try to connect to the server.

.topic 11315
Enter a delay before each retry. The delay is entered in seconds.

.topic 11316
Specify the port to connect to. Usually this is the port 21.

.topic 11317
Try to keep the connection alive. Sends a NOOP command to the server in the interval you specify. Enter the number of seconds between each NOOP command is sent. The value 0 turns this option off.

.topic 11318
Resume an aborted transfer. Enter the number of times the transfer can be resumed. The value 0 will disable resuming.

.topic 11320
Some FTP servers will request that the FTP client identifies itself using a certificate. If that is the case you can import a certificate and select it in the combo box.

.topic 11321
Some FTP servers will request that the FTP client identifies itself using a certificate. If that is the case you can import a certificate and select it in the combo box.

.topic 11322
Delete a certificate in the combo box list.

.topic 11323
When using a secure connection the data channel and command channel are encrypted. If you like you can turn this off. Not supported by all servers, even if they support SSL.

.topic 11324
When using a secure connection the data channel and command channel are encrypted. If you like you can turn this off. Not supported by all servers, even if they support SSL.

.topic 11325
Press the create button and a wizard is displayed to help you create a private key file, a self signed certificate file and a certificate request file. They are placed in the folder .../data/cert.
Use the certificate request to get a signed certificate file from someone managing the FTP server or for e.g. test purpose you can use the self signed certificate file. Use import and select the files and select the imported certificate in the combo box.

.topic 11330
Create public and private key files. The private key is used by the editor (.key). The public key should be handed to the SSH server. The files will end up in the ..Data\Cert folder.

.topic 11331
Use the password to connect to the SSH server. The server will return a key which you will have to accept to establish a connection.

.topic 11332
Connect to SSH server using a private key file. Make sure the key file is selected below.

.topic 11333
Select a private key file in the drop down list. This file is used to create a connection to the SSH server.

.topic 11334
Use the file dialog to select a key to import. The imported key is created in the ..Data\Cert folder and added to the private key list.

.topic 11340
Select a proxy type in the list.

.topic 11341
Enter an address to the proxy.

.topic 11342
Enter a login user name.

.topic 11343
Enter a login password.

.topic 11344
Enter a port.


RJ TextEd Help

Use the file dialog to select a key to import. The imported key is created in the ..Data\Cert folder and added to the private key list.


Connect to SSH server using a private key file. Make sure the key file is selected below.


Select a private key file in the drop down list. This file is used to create a connection to the SSH server.


Use the password to connect to the SSH server. The server will return a key which you will have to accept to establish a connection.


Set this option to display the "last modified date/time" in the remote FTP folder list. Note! Changing folders may be slow with this option set.


Enter the FTP address to connect to


Try to keep the connection alive. Sends a NOOP command to the server in the interval you specify. Enter the number of seconds between each NOOP command is sent. The value 0 turns this option off.


Use "fast path" connections for traversing firewalls and network address translators (NAT). This can enhance the performance of data transfers when the FTP EPSV command is supported on the server


Use Internet Protocol version 6. Otherwise IPv4 is used.


Open this local folder when connecting to the server.


Enter a name for this profile


Let the server listen for the client to connect when transferring data. You can try changing this option if you are using a proxy server and can't transfer data to or from the FTP server.


Enter a password in order to login to the server. If this field is empty, you will be asked to enter a password everytime you connect to the server.


Specify the port to connect to. Usually this is the port 21.


Enter an address to the proxy.


Enter a login password.


Enter a port.


Select a proxy type in the list.


Enter a login user name.


Open this remote folder when connecting to the server.


Resume an aborted transfer. Enter the number of times the transfer can be resumed. The value 0 will disable resuming.


If the connection fails you can select to try again. Enter the number of times the FTP Client should try to connect to the server.


Enter a delay before each retry. The delay is entered in seconds.


Select a server type. Normal unencrypted connection (FTP), encrypted connection (FTP/SSL) or normal connection through a SSH tunnel (SFTP/SSH).


Create public and private key files. The private key is used by the editor (.key). The public key should be handed to the SSH server. The files will end up in the ..Data\Cert folder.


Some FTP servers will request that the FTP client identifies itself using a certificate. If that is the case you can import a certificate and select it in the combo box.


When using a secure connection the data channel and command channel are encrypted. If you like you can turn this off. Not supported by all servers, even if they support SSL.


Press the create button and a wizard is displayed to help you create a private key file, a self signed certificate file and a certificate request file. They are placed in the folder .../data/cert.
Use the certificate request to get a signed certificate file from someone managing the FTP server or for e.g. test purpose you can use the self signed certificate file. Use import and select the files and select the imported certificate in the combo box.


Delete a certificate in the combo box list.


Enter a user name. This is usually required to login to the server.


This is a list of available commands. Use [CRLF] for line break with mEditInsertString. E.g. mEditInsertString "string1"[CRLF]"string2"[CRLF].


Separate command and values with tab characters. String or character values should be inclosed with ", e.g. "a". Long strings can contains line breaks. E.g. "String 1"[CRLF]"String 2"[CRLF]"String 3".


Backup saved files by adding an .bak extension to the old file.


Backup automatically saved files by adding an .bak extension to the old file.


Backup files to a folder.


Save the current file encoding when the document is closed.


Remove trailing white spaces before saving the document.


Save the position of bookmarks and restore them the next time the file is opened.


Save cursor position when a document is closed. When the file is reopened, the cursor is positioned at the saved position.


Save the code fold state when a document is closed and restore the folding state the next time the file is opened.


Save the read-only state and restore it the next time the file is opened.


This number is used to limit the number of files to save cursor and fold status for.


Convert tabs to spaces before saving the document.


Enable the auto save function to save your documents using a set interval.


Auto save only the current document.


Set this option if you want to be prompted to save new documents.


Set if you want to reset the undo/redo buffer with every save. Usually you want to uncheck this option.


Set the interval when documents are saved.


Enter a name for this internet browser.


Set a path to the internet browser. The browser will appear in the browser button drop down menu, located on the main toolbar. You can use these external browsers to preview your web documents.


Set a path to an external text compare tool e.g. WinMerge. Use the menu items in "Tools" menu or the document tab menu to run a text comparison.


Select a language in the list and press the "Select" button. The selected language should be displayed below.


Select a language in the list and press the "Select" button. The selected language will be used in all dialogs and menus of the program.


Select and edit the footer data you want to insert to the center.


Draw a line above the footer.


Set this option in order to insert information at the bottom of the pages.


Select and edit the footer data you want to insert to the left.


Select and edit the footer data you want to insert to the right.


Select and edit the header data you want to insert to the center.


Draw a line under the header information.


Set this option in order to insert information at the top of the pages.


Select and edit the header data you want to insert to the left.


Select and edit the header data you want to insert to the right.


Print line numbers in the left margin of your documents.


Set the page margins to use when you print your file.


Save positions of some dialogs like Find/Replace, Advanced sort and Spell check.


Show a splash screen at startup.


Add templates to the "New" drop down menu. Template files are listed below the file extensions of each syntax type.


Close the program to the system tray. All open files will be closed. Double click to restore the window. Exit the program by using the menu item "File->Exit".


Minimize the program to the system tray. Double click to restore the window.


Use the internal open/save dialogs. These dialogs have more options and the encoding drop down box is available on all versions of windows.


Use the Office 2000 open/save dialogs. You will loose some features like the "Favorites" drop down menu. The encoding drop down box is not visible on Windows Vista.


Save the current window size and position at close down. You can also use the menu item "Save layout" in the environment menu.


Set this option if you want the editor to minimize when you close the last document.


Set this option to have the open dialog open up in the same folder as the current document.


Show the open file progress using a progress bar located in the second status field on the status bar. For small files this progress bar is almost invisible, but for large files it can be helpful.


Open the search/replace options in a dialog instead of in the bottom-bar.


Set the number of recently opened files to display in the menu. Valid numbers are 10 to 30.


Set the number of recently opened files to display on the start page "Home". Valid numbers are 1 to 10.


Remember the last used dictionary between sessions.


Show all tabs in the bottom bar. Usually these are hidden.


Set a path that should be replaced with http://localhost. This option is used with the preview feature and can be useful when you want to preview e.g. PHP files.


Use the standard windows open/save dialogs. Works on Windows Vista as well. You will loose some features like the "Favorites" drop down menu and the encoding drop down box is not visible.


Set this option if you don't want to skin the frame and caption of the window.


Enable skin support. Select a skin to use in the list below.


Set a maximal width for the editor tabs in pixels.


Display or hide the close button displayed in the document tab. You can display a close button in all tabs, just the active one, or none.


Show an image in each document tab.


Select the color of the current document tab. The color is gradient. This color is used from the top of the tab.


Select the color of the current document tab. The color is gradient. This color is used from at the bottom of the tab.


Select the font and font size to use in all program menus.


Select a menu style to use in all program menus.


Use the system font in all program menus.


Check this option to add a button to the Quickbar toolbar on the "General" tab.


Check this option to add a button to the editor toolbar.


Add a new tool item in the "Tools" menu. A tool can be an executable file, a help file or a script.


Remove a selected tool from the list.


Edit the tool settings.


Assign a keyboard shortcut to the tool. Press a keyboard combination and click "Assign".


Move the tool name up or down in the list. The tools are displayed in the same order in the "Tools" menu.


Set the width of the text cursor. Default is 1.


Auto complete words as you type. A list is displayed with possible words, taken from the current document.


Highlight fold elements when the text cursor is over one. The color can be set for each syntax type.


Highlight html tags when the text cursor is next to one. Both the start and end tags are highlighted.


Display the indent lines as dashed.


Display the indent lines as dotted.


Word wrap text at the window edge.


Word wrap at the right margin line. The line can be moved by a left mouse button click on the ruler.


Some languages don't use space to separate word (e.g. Thai) or is written from right to left (e.g. Arabic). To word wrap such text correctly - check this option.


Highlight XML tags when the text cursor is next to one. Both the start and end tags are highlighted.


Toggle code folding and region folding on/off. This option enables/disables the code explorer as well.


Set a delay before the auto completion list appears.


Display a border around the current line.


Set this if you want block comments to be foldable.


Set the color of the border around the folded source code.


Highlight braces when the text cursor is next to one. Both the start and end braces are highlighted.


Highlight the current row using a different background color.


Set a color for one of the indent lines.


Set colors for the indent guide lines. Three indent line colors can be used.


Word wrap text beyond this column width.


Align editor tabs on multiple rows. If disabled, tabs are aligned on one line.


Set the distance where to display a right margin line. The default is 80 characters. To hide the line set the value to zero.


Set the amount to scroll when the text cursor reaches the window edge.


Show vertical lines between the top and bottom of the code block. The blocks are the same as for code folding.


Make the line breaks in the text visible.


Toggle the ruler on/off.


Make the space characters in the text visible.


Make the tab characters in the text visible.


Select a color for tab, space and line break characters.


Use a signature (BOM) with new documents if the file encoding is Unicode, e.g. Unicode (UTF-8).


Allow the editor to overwrite and save a read-only file. Even if the file is write protected.


Associate file types with the program.

Windows Vista - Opens a window to handle your file type associations.
.
Windows 2000 / XP - Opens the standard "Folder Options" dialog usually found in the control panel. You can set any association you need in this dialog.
.
Windows 98 / Me - Not available.


Open associated files in a tab if the program is running. Uncheck to open the files in new windows.


Always open a blank document at startup. You can set the default extension and encoding below.


Set the default file encoding for new documents.


Set the default file extension for new documents.


Use this encoding if no text encoding is detected when opening a file. Usually it should be set to system default, but you can change it to anything you want.


Detect ANSI code page and Unicode encoded files. Even if the signature is missing. A list may be displayed with several encoding alternatives to select from.


Detect Unicode encoded files. Even if the signature is missing. It may be able to detect UTF-8, UTF-16 and UTF-16 Big-Endien.


Fold all collapsible text blocks when the file is opened.


Fold all collapsible text blocks, except the top level nodes, when the file is opened.


Fold collapsible nodes inside the opened node. This can make navigation easier if the node has many sub nodes.


Remember and open the files that where open in the last session.


Display a warning if the document is changed by another program.


Word wrap is on when a new document is opened or created.


Select a file type or syntax style. All settings below will affect this file type only.


Add a new file type to set individual settings for these files.


Delete the current file type.


Select a font and size to be used with ASCII files.


Add spacing between lines. The number is given in pixels.


Select a font and size to be used with source files.


Set the maximal tab width. A tab size of 4 equals the width of max 4 space characters.


Select a font and size to be used with these type of files.


Set the number of bytes to display in each column.


Set the number of bytes to display on each row.


Set the editor background color.


Set the color of the odd number columns (first, third...).


Set the color of the even number columns (second, forth...).


Select font and size to be used in the hexadecimal editor.


Set the left margin background color.


Set the left margin selected background color.


Set the left margin selected text color.


Set the left margin text color.


Select a highlighter in order to change its color and text attribute settings.


Change the color of the selected highlighting element.


Select a highlighting element to change its color or text attribute.


Export your current highlighter settings to an external file. This can be useful if you create a new syntax file and wish to publish it with a settings file.


Import settings for the selected highlighter, if available. When you install a new syntax highlighter the settings are imported using a wizard. You will probably never have to use this button.


Change the text attribute of the selected highlighting element.


Color of the line change indicator in the left margin. Default color is yellow.


Color of the line changed and saved indicator. Default color is lime.


Set the background color of the left margin.


Set if you want the background color of the left margin to be gradient. The start color is set above. The end color is the document background color.


Set the text color used in the left margin.


Highlight changes made on a line with yellow and green bars. Yellow for resent changes and green for saved changes.


The left margin line can be invisible (None), dotted or solid.


Set the color of the left margin line.


Set this option to show line numbers in the left margin.


Fold nodes are indicated with an icon in the left margin. There are several to choose from.


Set to display a line number on every line.


Here are a few presets you could try to change the appearance of the left margin.


Remove a syntax highlighter. This will erase all settings you have made to this highlighter.


The editor needs to know what file extensions to use to identify the correct highlighter.


Remove a file extension from the list.


Add a new file extension.


Change the syntax file used for highlighting.


Add a new syntax highlighter. The wizard will guide you through the process.


Select a syntax highlighter in order to make changes to it. You could delete it or add some new file extensions.


Use find/replace auto completion in the search dialog.


Continue search from the beginning of file when we reach the end (or end of file when we reach the beginning of file).


Show a confirmation dialog when we reach an end of file to abort or continue the search.


Highlight all found items in the text when using Find All.


Highlight all found items in the text. This option is only valid for open documents. When searching a folder or a project, a list with found items will be shown.


Use selected word with "Find next" or "Find previous". This can be very useful if want to search for a word without opening the search dialog.


Display a result dialog when the search is finished.


Display a detailed result list in the bottom-bar when the search is finished.


Use the word under the text cursor as text to search for.


If enabled, several highlighters will be used to highlight code in html files. This enables highlighting of html, CSS, JavaScript, VBScript, ASP, PHP, CFScript.


Enable this to highlight ASP or PHP code in strings.


Clear the undo/redo buffer when a file is saved. Uncheck this option to enable undo/redo after saving the file.


Display a hint when hovering over a closed code folding icon. The hint will display some lines from the folded text.


Close a structural block automatically. A structural block can be { ... } or begin ... end. Line breaks are inserted and the text cursor is indented.


Close braces automatically. Braces can be (), [], ""... This feature is intelligent and tries to close the brace only when you want to.


Keep the indention when you press <enter>.


Set C# as your default ASP .NET language.


Set this to disable drag n drop of selected text.


Prevent the cursor from moving beyond the end of line. This is the standard for many text editors, including Microsoft editors.


Don't move the text cursor to the end of the pasted text. Set this option and the cursor stays at the insertion point.


Don't convert tabs into spaces when the file is opened.


Set the syntax files to be used with multiple highlighting. You probably shouldn't change this settings.


Try to align the text cursor to the correct indention point. Can be very useful when editing source code.


Try to preserve the indention when the text is pasted. This will change the behavior of the normal paste operation as well as drag n drop.


Align the text cursor to the following indention point. This does not always insert tabs, but can sometimes insert spaces.


Insert spaces when the tab key is pressed. Uncheck this option if you want to insert tab characters.


Set Visual Basic as your default ASP .NET language.


Remove the keyboard shortcut for this tool.


Print the entire document.


Print all open files in the editor.


Print pages starting with this page.


Open the options dialog found in the environment menu. Set margins, header and footer text.


Select a printer device from the list.


Only print the pages submitted in the edit boxes to the right.


Print the selected text only.


Open the standard printer setup dialog.


Print the text syntax highlighted.


Print pages ending with this page.


Wrap text if the lines extend the right margin.


Set this option to run the command in the background. The output will be directed to the message view in the bottom bar. To close down the tool, run it again.


Save the current file if it has been modified before running the tool. This is important if the tool makes any changes to the file.


Argument passed to the command. This can be entered manually. There are several options in the drop down menu.


The file you wish to execute.


Don't warn if files have been modified before running the tool. Use this option if the tool do not make any changes to the opened files.


Set the initial dir. A file given as an argument should have a path relative to the initial dir.


Enter the name that will be displayed in the tools menu.


The tool output may hold some information like line numbers and columns. Here you can enter a formatting string to enable the editor to retrieve this information. You can use * as wildcard and the variables %F - filename, %L - line, %C - column.
E.g. you may have an output line like:
line 1235 column 12 : ERROR: <some info>
The formatting string should be:
line &L column %C. You can also use %F for file name and it is possible to use the asterisk (*) as a wildcard.


Use this option if the command makes changes to the current file and you wish to open it after the alteration.


Use this option to capture the output of the command. The output is displayed in the bottom-bar.


Save all modified files before running the tool. This is important if the tool makes any changes to any open file.


Enter a sub menu to place this tool in. The sub menu is displayed in the tools menu.


Select the tool type. Executable, html help file or script. Html files are opened with KeyHH.exe which should be in your windows folder.


Display a warning if a file has been modified before running the tool. You are given the choice to save the file before proceeding.